/*****************************************************************************
 * 
 *  jsMath: Mathematics on the Web
 *  
 *  This jsMath package makes it possible to display mathematics in HTML pages
 *  that are viewable by a wide range of browsers on both the Mac and the IBM PC,
 *  including browsers that don't process MathML.  See
 *  
 *            http://www.math.union.edu/locate/jsMath
 *
 *  for the latest version, and for documentation on how to use jsMath.
 *
 *  Copyright 2004-2006 by Davide P. Cervone
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  
 *****************************************************************************/

if (!window.jsMath) {jsMath = {}}
if (!jsMath.Script) {jsMath.Script = {}}

jsMath.Script.Uncompress = function (data) {
  for (var k = 0; k <  data.length; k++) {
    var d = data[k]; var n = d.length;
    for (var i = 0; i < n; i++) {if (typeof(d[i]) == 'number') {d[i] = d[d[i]]}}
    data[k] = d.join('');
  }
  eval(data.join(''));
}

//start = new Date().getTime();
jsMath.Script.Uncompress([
  ['if(!','window','.','jsMath','||!',1,'.','jsMath.','loaded','){var ','jsMath_old','=',1,'.',3,';',0,'document.','getElementById','||!',17,'childNodes||!',17,'createElement','){','alert("','The',' mathematics ','on this page requires W3C DOM support in its JavaScript. "+"Unfortunately, your ','browser',' doesn\'t seem to have this.");}','else{',1,'.',3,'={version:"3.3f",document:document,',1,':',1,',sizes:[50,60,70,85,100,120,144,173,207,249],styles:{".math','":"font-family: serif; font-style: normal; font-weight: normal','",".typeset',40,'","div.typeset','":"text-align: ','center; margin: 1em 0px;","span.typeset',44,'left',41,' span',44,'left','; border',':0px; margin:0px','; padding',':0px','",".typeset .','normal',40,56,'size0','":"font-size: ','50','%",".typeset .','size1',61,'60',63,'size2',61,'70',63,'size3',61,'85',63,'size4',61,'100',63,'size5',61,'120',63,'size6',61,'144',63,'size7',61,'173',63,'size8',61,'207',63,'size9',61,'249',63,'cmr10','":"font-family: jsMath-',100,', serif',56,'cmbx10',101,105,', ',3,'-',100,56,'cmti10',101,113,', ',3,'-',100,56,'cmmi10',101,121,56,'cmsy10',101,125,56,'cmex10',101,129,56,'textit','":"font-family: serif; font-','style:italic',56,'textbf',134,'weight:bold',56,'link":"','text-decoration',': none',56,'error',61,'10pt; font-style: italic; "+"','background-color',': #FFFFCC',54,': 1px; "+"border: ','1px solid',' #CC0000',56,'blank','":"','display:inline-block','; ','overflow:hidden',52,':0px none; width:0px; height:0px;",".','typeset .','spacer','":"',157,'","#','jsMath_message','":"','position:fixed','; bottom:1px; ','left:2px; ',148,':#E6E6E6','; "+"border: solid 1px #959595; margin:0px; padding: ','1px 8px','; "+"z-index:102; color',': black','; font-size',':','small; ','width:auto',';","#','jsMath_panel','":"',169,'; bottom:1.5em; right:1.5em',54,': .8em 1.6em; "+"',148,':#DDDDDD; border: outset ','2px; "+"z-index:103; ',181,182,183,' .disabled":"color:#888888","#',183,' .infoLink','":"font-size:','85%","#',183,' td','":"border:0px; padding:0px; margin:0px;","#',183,' tr',202,183,' table',202,'jsMath_button','":"',169,170,'right:2px; ',148,':white',174,'0px 3px 1px 3px',176,':black; ',142,':none',178,':x-small; "+"',181,'; ','cursor:hand',182,'jsMath_global":"font-',135,';","#jsMath_float','":"','position:absolute','; top:0px; left:0px; max-width:80%; "+"z-index:101; ',181,'; height:auto',230,' .drag":"',148,190,'1px; height:12px',178,': 1px',230,' .close":"',148,173,52,': inset 1px; width:8px; height:8px; margin: 1px 2px',230,' .source":"',148,':#E2E2E2',52,': outset 1px; "+"',181,235,54,': 8px 15px; "+"font-family: courier, fixed',178,': 90%","#jsMath_noFont',' .message":"text-align: center; padding: .8em 1.6em; border: 3px solid #DD0000; "+"background-color: #FFF8F8; color: #AA0000; font-size:',180,181,182,'jsMath_noFont .link','":"padding: 0px 5px 2px 5px',52,': 2px outset; ',148,':#E8E8E8; "+"color:black',178,':80%; ',181,'; ',226,182,'jsMath_PrintWarning',261,'x-',180,181,';","@media print":"#',209,' {display:none','}\\n"+"#jsMath_Warning',284,'}","@media screen":"#',277,284,'}"},Element',':function(','_1){return ',7,17,18,'("jsMath_"+_1);},','BBoxFor',291,'s','){this.','hidden.innerHTML','="<nobr><span class=\\"typeset\\"><span class=\\"scale\\">"+s+"</span></span></nobr>";var _3={w:this.','hidden','.offsetWidth',',h:this.',303,'.offsetHeight','};this.',301,'="";return _3;},EmBoxFor',291,'s',9,'_5=',7,'Global.cache','.R;',0,'_5[this.em]){_5[this.em]={};}',0,'_5','[this.em][s',']){var _6','=this.BBoxFor','(s);_5',322,']={w:_6.w/this.em,h:_6','.h/this.em};}return ','_5',322,'];},','EmBoxForItalics',291,'s',9,'_8=',7,316,'.R;',0,'_8[this.em]){_8[this.em]={};}',0,'_8',322,']){var _9',324,'(s);if(s.match(/<i>|class=\\"(icm|italic|igreek|iaccent)/i)){_9.w',324,'(s+',7,'Browser.','italicString',').w-',7,351,'italicCorrection',';}_8',322,']={w:_9.w/this.em,h:_9',328,'_8',322,'];},Init',':function(){','if(',7,'Setup.inited','!=1){',0,7,367,'){',7,'Setup.','Body();}if(',7,367,'!=1){if(',7,367,'==-100','){return;}',25,'It looks like ',3,' failed to set up properly (error code "+',7,367,'+").  "+"I will try to keep going, but it could get ugly.");',7,367,'=1;}}this.em',324,'("<span style=\\""+',7,351,'block+";','width:13em;height:1em','\\"></span','>").w/13;if(this.em==0',300,'em',324,'("<img src=\\""+',7,155,'+"\\" style=\\"',398,'\\"/>").w/13;}var _a=',7,316,'.B;',0,'_a[this.em]){_a[this.em]={};','_a[this.em].','bb',324,'("x");var hh=',415,'bb.h;',415,'d',324,'("x"+',7,'HTML.Rule(1,','hh/',7,'em)).h-hh;if(',7,351,352,'){',415,'ic=',7,297,'(',7,351,352,').w;}}',7,351,356,'=',415,'ic;var bb=',415,'bb;var h=bb.h;var d=',415,'d;this.h=(h-d)/this.em;this.d=d/this.em;this.hd=this.h+this.d;this.xWidth=bb.w;this.',374,'TeXfonts','();var _f=this.','EmBoxFor("<span class','=\\"',100,'\\">M</span>").w/2;this.TeX.M_height=_f*(26/14);this.TeX.h=this.h;this.TeX.d=this.d;this.TeX.hd=this.hd;this.Img.Scale();',0,'this.initialized',300,374,'Sizes','();this.','Img.UpdateFonts();}this.p_height=(this.','TeX.cmex10[','0].h+this.',467,'0].d)/0.85;',461,'=1;},ReInit',364,'var w',324,'("x").w;if(w!=this.xWidth',300,'Init();}},Loaded',364,'if(',10,9,'_11=["Process","ProcessBeforeShowing","ConvertTeX","ConvertTeX2","ConvertLaTeX","ConvertCustom","CustomSearch","Synchronize","Macro","document"];','for(var i=0;i<','_11','.length;i++){if(',10,'[_11[i]]){delete ',10,'[_11[i]];}}}if(',10,'){this.Insert(',3,',',10,');}',10,'=null;',7,8,'=1;},Add',291,'dst,src){for(var id in src){','dst[id]=src[id','];}},Insert',291,503,'if(dst[id]&&typeof (src[id])=="object"&&(','typeof (dst[id])=="','object"||',509,'function")){this.Insert(dst[id],src[id]);}',31,504,'];}}},Package',291,'obj,def',492,'obj.prototype,def);}};',7,'Global={isLocal:1,cache:{','T:{},D:{},R:{},B',':{}},ClearCache',364,7,316,'={',522,':{}};},GoGlobal',291,'_1b',9,'url=String(',7,1,'.','location);','var c=(',7,'isCHMmode','?"#":"?");if(_1b){url=url.replace(/\\?.*/,"")+"?"+_1b;}',7,'Controls.','Reload(',7,'root+"',3,'-global.html"+c+escape(url));},Init',364,'if(',7,'Controls.cookie.','global=="always"&&!',7,'noGoGlobal','){','if(navigator.','accentColorName',382,0,7,1,'){',7,1,'=',1,';}',7,543,8,'=1;',7,543,'defaults.hiddenGlobal',498,'this.GoGlobal(',7,543,'SetCookie(2));}},Register',364,'var _1e=',7,1,'.parent;',0,7,'isCHMode){',7,540,'=(',7,1,'.','location.protocol','=="mk:");}try{',0,7,540,300,'Domain();}if(_1e.',3,'&&_1e.',7,'isGlobal){_1e.',7,'Register(',7,1,');}}','catch(err','){',7,555,'=1;}},Domain',364,'if(navigator.appName=="Microsoft Internet Explorer"&&navigator.platform=="MacPPC"&&navigator.','userProfile','!=null',382,'if(',1,'==parent',382,'var _1f=',7,17,'domain;try{while(true){try{if(parent.',17,'title!=null','){return;}}',611,'){}',0,17,'domain.match(/\\..*\\./)){break;}',7,17,'domain=',7,17,'domain.replace(/^[^.]*\\./,"");}}',611,'){}',7,17,639,'_1f;}};',7,'Script={request:null,Init',364,'if(!(',7,552,'asynch&&',7,552,'progress',')){if(',1,'.XMLHttpRequest){try{','this.request','=new XMLHttpRequest;}',611,'){}}',0,662,'&&',1,'.','ActiveXObject',9,'xml=["MSXML2.XMLHTTP.5','.0","MSXML2.XMLHTTP','.4',674,'.3',674,'","Microsoft.XMLHTTP"];',484,'xml.length&&!',662,';i++){try{',662,'=new ',671,'(xml[i]);}',611,'){}}}}',0,662,'||',7,374,'domainChanged',300,'Load=this.delayedLoad;this.needsBody=1;}},Load',291,'url,_23){if(_23){',7,'Message.Set("Loading "+url);',7,'Script.','Delay(1);',7,'Script.Push(','this,"xmlRequest",url',');',7,706,7,'Message',',"Clear");}',31,7,706,707,');}},xmlRequest',291,'url){','this.blocking','=1;try{',662,'.open("GET",url,false);',662,'.send(null);}',611,'){throw "jsMath can\'t load the file \'"+url+"\'\\n"+"',712,': "+err.message;}if(',662,'.status','&&',662,732,'>=400',728,'Error status: "+',662,732,';}',0,'url.match(/\\.js$/)){','return (',662,'.responseText',');}var _25=','this.queue',';',748,'=[];',7,1,'.eval(',662,746,');',721,'=0;','this.queue=this.queue.concat(','_25);this.Process();return "";},cancelTimeout:30*1000,iframe:null,blocking:0,cancelTimer:null,needsBody:0,queue:[],Synchronize',291,'_26,_27){','if(typeof (','_26)!="string"){',7,706,'null,_26,_27);}',31,7,706,7,1,',"eval",_26);}},Push',291,'_28,_29,_2a){',748,'[',748,'.length]=[_28,_29,_2a];if(!(',721,'||(this.needsBody&&!',7,17,'body))){this.Process();}},Process',364,'while(',748,'.length&&!',721,9,'_2b=',748,'[0];var _2c=',748,'.slice(1);',748,'=[];var _2d=_2b[0];var _2e=_2b[1];var _2f=_2b[2];if(_2d){_2d[_2e](_2f);}',31,'if(_2e){_2e(_2f);}}',760,'_2c);}},delayedLoad',291,'url',300,'Push(this,"startLoad",url);},startLoad',291,'url){','this.iframe','=',7,17,23,'("iframe");','this.iframe.style.','visibility="',303,'";',815,'position="absolute";',815,'width="0px";',815,'height="0px";if(',7,17,'body.firstChild','){',7,17,'body.insertBefore(',809,',',7,17,827,');}',31,7,17,'body','.appendChild(',809,');}',721,'=1;this.','url=url;',0,743,809,'.src=url;}',31,809,'.src=',7,546,3,'-loader.html";}if(url.substr(0,',7,'root.length',')==',7,'root){url=url.substr(',7,860,');}',7,701,'this.cancelTimer','=setTimeout("',7,703,'cancelLoad','()",this.cancelTimeout);},endLoad',291,'_32){if(',869,'){clearTimeout(',869,');',869,'=null;}',7,712,'.Clear();if(_32!="cancel"){',721,'=0;this.Process','();}},Start',364,'this.tmpQueue','=',748,';',748,'=[];},End',364,760,890,');delete ',890,';},',873,364,869,498,7,712,'.Set("Can\'t load file");this.endLoad("cancel");},Delay',291,'_33){',721,'=1;setTimeout("',7,703,'endDelay','()",_33);},',915,364,721,887,'();},','imageCount',':0,WaitForImage',291,'_34){',721,846,922,'++;if(this.img==null',300,'img=[];}var img=new Image',465,'img[this.img.length]=img;img.onload=function(){if(--',7,703,922,'==0){',7,703,915,'();}};img.onerror','=img.onload;img.','onabort',942,'src=_34;},Uncompress',291,'_36){','for(var k=0;k<','_36.length;k++){var d=_36[k];var n=d.length;',484,'n;i++){',764,'d[i])=="number"){d[i]=d[d[i]];}}_36[k]=d.join("");}',1,754,'_36.join(""));}};',7,712,'={',155,':null,message:null,text:null,clear:null,Init',364,0,7,17,'body||!',7,552,658,382,'if(',7,374,'stylesReady){','this.message','=',7,'Setup.DIV("message",{visibility:"hidden','"});}',31,975,'=',7,978,'",position:"absolute",','bottom:"1px",left:"2px",','backgroundColor',':"#E6E6E6",border:"solid 1px #959595",margin:"0px",padding:"1px 8px",zIndex:102,color:"black",fontSize:"small",width:"auto"});}','this.text','=',7,17,'createTextNode','("");',975,842,989,');',975,'.onmousedown=',7,'Translate.Cancel;},Set',291,'_3b,_3c){','if(this.clear){clearTimeout(this.clear',');','this.clear',882,'if(',7,552,658,'){',0,989,300,'Init();',0,989,631,'if(',7,351,'textNodeBug','){',975,'.innerHTML','=_3b;}',31,989,'.nodeValue',1028,'this.message.style.',816,'visible";if(_3c){',1033,'cursor="pointer";',0,1033,'cursor){',1033,'cursor="hand";}',975,'.title=" Cancel Processing of Math ";}',31,1033,'cursor="";',975,'.title="";}}',31,'if(_3b.substr(0,8)!="Loading "){',7,1,732,'=_3b;}}},Clear',364,1005,');}',1007,'=setTimeout("',7,712,'.doClear()",1000);},doClear',364,'if(',1007,'){',1007,498,7,1,732,'="";if(',989,'){',989,1031,'="";}if(',975,'){',1033,816,303,'";}}},Blank',364,'if(','this.blank','||!',7,17,'body',382,1087,'=',7,374,'DIV("',155,'",{position:(',7,351,'msiePositionFixedBug','?"absolute":"fixed"),top:"0px",left:"0px",bottom:"0px",right:"0px",zIndex:101,',987,':"white"});if(',7,351,'msieBlankBug','){',1087,1027,'="&nbsp;";',1087,'.style.width="110%";',1087,'.style.height="110%";}},UnBlank',364,'if(',1087,'){',7,17,'body.removeChild(',1087,');}',1087,'=null;}};',7,'Setup={',8,':[],DIV',291,'id,_3e',9,'div=',7,17,23,'("div");div.id="jsMath_"+id;','for(var i in ','_3e){div.style[i]=_3e[i];}',0,7,17,'body.hasChildNodes){',7,17,'body',842,'div);}',31,7,17,831,'div,',7,17,827,');}return div;},Script',291,'_41,_42){if(','this.loaded[_41',']){return;}',31,1162,']=1;}',0,'_41.match("^([a-zA-Z]+:/?)?/")){_41=',7,'root+_41;}',7,703,'Load(_41,_42);},Hidden',364,7,303,'=this.DIV("Hidden",{visibility:"',303,985,'top:0,left:0,border:0,padding:0,margin:0});',7,'hiddenTop=',7,303,';return;},Source',364,'if(',7,'Autoload&&',7,'Autoload.root','){',7,'root=',7,1191,';}',31,7,'root="";var _43=',7,17,'getElementsByTagName("','script");if(_43){',484,'_43','.length;i++){var ','src=_43[i].src;if(src&&src.match("(^|/)',7,'js$")){',7,1194,'src.','replace(/',7,'js$/,"");i=_43.length;}}}}if(',7,'root.charAt(0)=="/"){',7,1194,7,17,595,'+"//"+',7,17,'location.host+',7,'root;}',31,0,7,'root.match','(/^[a-z]+:/i)){src','=new String(',7,17,537,7,1194,'src','.replace(new RegExp','("[^/]*$"),"")+',7,'root;while(',7,1233,'("/[^/]*/\\\\.\\\\./")){',7,1194,7,'root',1242,'("/[^/]*/\\\\.\\\\./"),"/");}}}',7,'Img.',1194,7,546,'fonts/";',7,155,'=',7,546,155,'.gif";this.Domain();},Domain',364,'try{',7,17,'domain;}',611,382,'var _46="";var _47=',7,17,'domain;if(',7,1233,'("://([^/]*)/")){_46=RegExp.$1;}_46=_46.replace(/:\\d+$/,"");if(_46==""||_46==_47',382,617,'onLine&&','navigator.',618,'&&',7,17,'all',382,'_46=_46.split(/\\./);_47=_47.split(/\\./);if(_46.length<2||_47.length<2||','_46[_46.length-','1',']!=_47[_47.length-','1]||',1293,'2',1295,'2]){this.','DomainWarning','();return;}var _48=',1293,'2]+"."+',1293,'1];for(var i=3;i<=_46.length&&i<=_47',486,1293,'i',1295,'i]){break;}_48=',1293,'i]+"."+_48;}',7,17,639,'_48;this.',695,'=1;},',1301,364,25,'In order for ',3,' to be able to load the additional "+"components that it may need, the ',7,'js file must be "+"',8,' from a server in the same domain as the page that "+"contains it.  Because that is not the case for this page, "+"the',27,'displayed here may not appear correctly.");},','EncodeFont',291,'_4a',9,'_4b=',7,'TeX[_4a];if(_4b[0].c!=null',382,948,'128;k++){var _4d=_4b[k];_4b[k]=_4d[3];if(_4b[k]==null){_4b[k]={};}_4b[k].w=_4d[0];_4b[k].h=_4d[1];if(_4d[2]!=null){_4b[k].d=_4d[2];}_4b[k].c=',7,'TeX.encoding[k];}},Fonts',364,484,7,'TeX.fam',1207,'_4f=',7,1347,'[i];if(_4f',300,1332,'(_4f);}}},TeXfont',291,'_50',9,'_51=',7,'TeX[_50];if(_51==null',382,'var WH=',7,456,'=\\""+_50+"\\">"+_51[65','].c+"</span>");','_51.hd=WH.h;_51.dh=0.05;_51.d=',7,456,'=\\""+_50+"\\">"+_51[65].c+',7,426,'_51.hd)+"</span>").h-_51.hd;_51.h=_51.hd-_51.d;','if(_50=="',121,'"){_51.skewchar=','127;}',31,1375,125,1377,'48;}}},',454,364,484,7,1347,486,7,1347,'[i]){this.TeXfont(',7,1347,'[i]);}}},Sizes',364,7,'TeXparams','=[];for(var j=0;j<',7,'sizes.length;j++){',7,1398,'[j]={};}',1140,7,'TeX){',764,7,'TeX[i])!="object"){for(var j=0;j<',7,'sizes.length;j++){',7,1398,'[j][i]=',7,'sizes[j]*',7,'TeX[i]/100;}}}},Styles',291,'_57){',0,'_57){_57=',7,'styles;_57[".',162,'scale"]="font-size:"+',7,552,'scale+"%";this.stylesReady=1;}',7,706,'this,"','AddStyleSheet','",_57);if(',7,351,'styleChangeDelay','){',7,706,7,'Script,"Delay",1);}},',1434,291,'_58',9,'_59=',7,17,1203,'head")[0];var _5a="";for(var id in _58){_5a+=id+" {"+_58[id]+"}\\n";}if(',7,17,'createStyleSheet){_59.insertAdjacentHTML("beforeEnd","<span',' style=\\"','display:none\\">x</span>"+"<style type=\\"text/css\\">"+_5a+"</style>");}',31,'var _5c=',7,17,23,'("style");_5c.type="text/css";_5c',842,7,17,993,'(_5a));_59',842,'_5c);}},Body',364,'if(this.inited',382,'this.inited=-','1;',7,374,'Hidden();',1474,'2;',7,351,1017,1474,'3;if(',7,552,155,'){',7,712,'.Blank();}',1474,'4;',7,374,'Styles();',1474,'5;',7,543,1017,1474,'6;',7,706,7,'Setup,"User","pre-font");',1474,'7;',7,706,7,'Font,"Check");if(',7,'Font.register.length){',7,706,7,'Font,"LoadRegistered");}this.inited=1;},User',291,'_5d){}};',7,'Update={',454,291,'_5e){for(var ','_5f in ',1527,'_60 in _5e[_5f]){for(var id in _5e[_5f][_60]){',7,'TeX[_5f][_60][id]=_5e[_5f][_60][id];}}}},TeXfontCodes',291,'_62){for(var _63 in _62){',484,'_62[_63].length;i++){',7,'TeX[_63][i].c=_62[_63][i];}}}};',7,'Browser={allowAbsolute:1,allowAbsoluteDelim:0,separateSkips:0,valignBug:0,operaHiddenFix:"",','msieCenterBugFix',':"",','msieInlineBlockFix',':"",','msieSpaceFix',':"",imgScale:1,renameOK:1,',1438,':0,delay:1,version:0,','TestSpanHeight',364,7,301,'="<span','><','span style=\\""+this.block+";','height:2em;width:','1px',399,'></span>";var ','_65=',7,'hidden.firstChild;','var img=_65.firstChild;','this.spanHeightVaries','=(_65',307,'>=img',307,'&&_65',307,'>0);','this.spanHeightTooBig','=(_65',307,'>img',307,');',7,301,'="";},','TestInlineBlock',364,'this.block','="display:-moz-inline-box";','this.hasInlineBlock','=',7,'BBoxFor("<span style=\\""+this.block+";','width:10px;height:5px\\"></span>").w>0;if','(',1585,'){',7,'styles[".typeset .',155,'"]=',7,1594,155,'"].replace(/',157,'/,',1583,');',7,1594,163,'"]=',7,1594,163,1600,157,'/,"");}',31,1583,'="',157,'";',1585,'=',7,1588,1589,'(!',1585,631,1583,'+=";',159,'";var h=',7,297,'("x").h;this.mozInlineBlockBug=',7,1588,'height:"+h+"px;width:1px',399,'>x"+"<',1555,1637,';vertical-align:-"+h+"px',399,'>").h>2*h;this.widthAddsBorder=',7,1588,159,';height:1px;width:10px',';border-left:','10px solid',399,'>").w>10;','this.msieBorderBug','=',7,1588,1637,399,'>x").h!=',7,1588,1637,1649,152,399,'>x").h;this.blankWidthBug=',1653,'||',7,1588,1556,'0px',399,'>").h==0;},','TestRenameOK',364,7,301,1553,1559,'_68=',7,1562,'_68.setAttribute("name","','jsMath_test','");this.renameOK=(',7,17,'getElementsByName("',1685,'").length>0);',7,301,1580,'TestStyleChange',364,7,301,1553,' ID=\\"',1685,'\\">x</span>";var _69=',7,1562,'var w=_69',304,';',7,374,1434,'({"#',1685,198,'200%"});this.',1438,'=(_69',304,'==w);',7,301,1580,'VersionAtLeast',291,'v',9,'bv',1235,'this.version',').split(".");','v',1235,'v',1729,'if(v[1]==null){v[1]="0";}return bv[0]>v[0]||(bv[0]==v[0]&&bv[1]>=v[1]);},Init',364,7,29,'="unknown";this.',1581,465,1549,465,1675,465,1695,465,'MSIE',465,'Mozilla',465,'Opera',465,'OmniWeb',465,'Safari',465,'Konqueror','();if(','this.allowAbsoluteDelim','){',7,'Box.DelimExtend=',7,'Box.DelimExtendAbsolute;',7,'Box.Layout=',7,'Box.LayoutAbsolute;}',31,7,'Box.DelimExtend=',7,'Box.DelimExtendRelative;',7,'Box.Layout=',7,'Box.LayoutRelative;}if(','this.separateSkips','){',7,'HTML.Place=',7,'HTML.','PlaceSeparateSkips',';',7,'Typeset.prototype.','Place=',7,1787,1784,';}},MSIE',364,'if(',1564,'&&!',1572,'){',7,29,'="MSIE";',557,'platform=="','Win32"){',1759,'=1;',1778,'=1',';this.buttonCheck=1;this.',1108,'=1;this.msieDivWidthBug=1;this.',1102,846,'msieIntegralBug',846,'waitForImages',846,'msieAlphaBug=1;','this.alphaPrintBug=1',';this.',1541,'="position:relative; ";this.',1543,'=" ',157,';";this.',1545,1553,1456,157,399,'>";',7,'Macro("joinrel","\\\\mathrel{\\\\kern-5mu}"),',7,1594,'arial"]="font-family: \'Arial unicode MS\'";',7,'styles["#',167,'"]=',7,1839,167,1600,169,'/,"',232,'").',1214,181,'/,"");',7,1839,183,'"]=',7,1839,183,1600,169,'/,"',232,'").',1214,181,1852,7,'styles["#jsMath_button','"]="width:','1px; "+',7,1869,1600,169,'/,"',232,'").',1214,181,1852,7,1,'.onscroll=',7,543,'MoveButton;',7,1594,163,'"]=',7,1594,163,1600,157,1852,'if(','screen.deviceXDPI','&&','screen.logicalXDPI','&&',1899,'!=',1901,300,'imgScale*=',1901,'/',1899,';',7,552,'alpha=0;}this.',352,'="<i>x</i>";',7,'EmBoxFor=',7,332,';}',31,557,1803,'MacPPC"){this.msieAbsoluteBug',846,'msieButtonBug',1811,1108,'=1;',7,'Setup.Script("jsMath-','msie-mac.js");',7,'Parser.prototype.macros.angle=["Replace","ord","<font face=\\"Symbol\\">&#x8B;</font>","normal"];',7,1839,183,1870,'42em; "+',7,1839,183,1600,181,1852,7,552,'printwarn=0;}}',7,'Macro("not","\\\\mathrel{\\\\rlap{\\\\kern3mu','/}}");}},Mozilla',364,'if(',7,303,'.ATTRIBUTE_NODE){',7,29,'="Mozilla";',557,1803,'Win32"){',1819,';}',1759,'=1;',7,1869,'"]=',7,1869,1600,226,'/,"cursor:pointer");',7,1839,265,'"]=',7,1839,265,1600,226,'/,"cursor:pointer");',7,1951,'/}}");',557,'vendor=="Firefox"){',1728,'=',1285,'vendorSub;}',31,557,'userAgent.match','(" Firefox/([0-9.]+)( |$)")){',1728,'=RegExp.$1;}}}},',1753,364,557,'accentColorName){',7,29,'="',1753,'";','this.allowAbsolute','=',1585,';',1759,'=',2010,';this.valignBug=!',2010,1809,1024,'=1;',7,'noChangeGlobal=1;',0,1585,'){',7,1932,'old-browsers.js','");}}},Opera',364,'if(',1572,'){',7,29,'="Opera";var _6d=',1285,1997,'("Opera 7");',2010,'=0;this.delay=10;this.operaHiddenFix="[Processing]";if(_6d){',7,1932,2029,'");}}},Safari',364,557,'appVersion.match(/Safari\\//)){',7,29,'="Safari";var _6e=',1285,1997,'("Safari/([0-9]+)");_6e=(_6e)?_6e[1]:400;',484,7,1347,486,7,1347,'[i]&&',7,'TeX[',7,1347,'[i]]){',7,'TeX[',7,1347,'[i]].dh=0.1;}}',7,'TeX.axis_height+=0.05;',7,'TeX.default_rule_thickness+=0.025;',1759,'=_6e>=125;this.safariIFRAMEbug=_6e>=312&&_6e<412;this.safariButtonBug=_6e<412;this.safariImgBug',846,1024,'=1',1809,1438,'=1;}},',1757,364,557,'product&&',1285,'product.match("',1757,'")){',7,29,'="',1757,'";',2010,'=0;',1759,'=0;',557,1997,'(/',1757,'\\/(\\d+)\\.(\\d+)/)){if(RegExp.$1<3||(RegExp.$1==3&&RegExp.$2<3)){',1778,846,'valignBug=1;',7,1932,2029,'");}}',7,'Add(',7,'styles,{".',162,100,101,'cmr10, jsMath cmr10',103,56,105,101,105,', ',3,' ',105,', ',3,'-',2121,56,113,101,113,', ',3,' ',113,', ',3,'-',2121,56,121,101,121,', ',3,' ',121,56,125,101,125,', ',3,' ',125,56,129,101,129,', ',3,' ',129,'"});',7,'Font.testFont','="',3,'-',129,', ',3,' ',129,'";}}};',7,'Font={testFont:"',3,'-',129,'",fallback:"symbol",register:[],message:"<b>No ',3,' TeX fonts found</b> -- using',' image fonts instead','.<br/>\\n"+"These',' may be slow and might not print well.<br/>\\n"+"Use the jsMath control panel to get additional information.",','extra_message:"Extra TeX fonts not found: <b><span id=\\"jsMath_ExtraFonts',399,'></b><br/>"+"Using',2191,'.  This',2193,'print_message:"To print higher-resolution math symbols, click the<br/>\\n"+"<b>Hi-res Fonts for Printing</b> button on',' the jsMath control panel.<br/>\\n",','alpha_message:"If the math symbols print as black boxes, turn off <b>image alpha channels</b><br/>\\n"+"using the <B>Options</B> pane of',2201,'Test1',291,'_70,n,_72,_73','){if(n==null){n=124;}if(','_72==null){_72=2;}if(_73==null){_73="";}var wh1=',7,'BBoxFor("<span style=\\"font-family',': "+_73+_70+", serif\\">"+',7,'TeX[_70][n',1367,'var wh2=',7,2210,': serif\\">"+',7,'TeX[_70][n',1367,744,'wh1.w>_72*wh2','.w&&wh1.h!=0);},','Test2',291,'_76,n,_78,_79',2207,'_78==null){_78=2;}if(_79==null){_79="";}var wh1=',7,2210,': "+_79+_76+", serif\\">"+',7,'TeX[_76][n',1367,'var wh2=',7,2210,': serif\\">"+',7,'TeX[_76][n',1367,744,'wh2.w>_78*wh1',2224,'CheckTeX',364,'var wh=',7,2210,': "+',7,2173,'+", serif\\">"+',7,467,'1',1367,7,'nofonts=((wh.w*3>wh.h||wh.h==0)&&!this.Test1("cmr10','",null,null,"',3,'-"));if(',7,'nofonts&&(',1285,'platform!="MacPPC"||',7,29,'!="Mozilla"||!',7,351,1722,'(1.5))){wh=',7,2210,': ',129,103,'\\">"+',7,467,'1',1367,7,2260,'"));',0,7,'nofonts){',7,1932,'Ba'],
  ['KoMa-fonts.js");}}},Check',':function','(){var ','_7d=','jsMath.Controls.','cookie',';this.CheckTeX();if(','jsMath.','nofonts){if','(_7d.autofont','||','_7d.font=="','tex"){','_7d.font=this.fallback;if(_7d.warn){',7,'nofontMessage=1;_7d.warn=0;',4,'SetCookie','(0',');if(',7,'window.NoFontMessage','){',7,21,'();}else{','this.Message(this.','message',');}}}}else{if',9,'){_7d.font="','tex";}if(',11,12,'return;}}if(',7,'noImgFonts',30,'unicode";}if(',11,'unicode"){','var _7e=({Win32:"pc",MacPPC:"mac"})[navigator.platform]||"unix";',7,'Setup.Script("jsMath-fallback','-"+_7e+".','js");jsMath.Box.TeXnonfallback=jsMath.Box.TeX;jsMath.Box.TeX=jsMath.Box.TeXfallback;return;}','if(!_7d.print&&_7d.printwarn){this.','PrintMessage','((',7,'Browser.','alphaPrintBug&&',4,5,'.alpha)?','this.print_message','+this.alpha_message:',55,');}if(',7,50,'waitForImages){',7,'Script.','Push(',7,'Script,"WaitForImage",',7,'blank',58,11,'symbol"){',7,43,'-symbols.',45,7,'Img.SetFont','({cmr10',':["all"],','cmmi10',79,'cmsy10',79,'cmex10',79,'cmbx10',79,'cmti10:["all"]});',7,'Img.LoadFont','("cm-fonts");},Message',1,'(_7f','){if(',7,'Element("','Warning','")){','return;}var ','div=',7,'Setup.DIV("',97,'",{});div.innerHTML="<center><table><tr><td>"+"<div ','id=\\"jsMath_noFont\\"><div ','class=\\"message\\">"+','_7f+"<div style=\\"text-align:left\\"><span style=\\"float:left; margin: 8px 0px 0px 20px\\">"+"<span onclick=\\"',4,'Panel','()\\" title=\\" ','Open the ','jsMath Control Panel',' \\" class=\\"link\\">',112,'</span>"+"</span','><span style=\\"margin: 8px 20px 0px 0px; float:right\\">"+"<span onclick=\\"',7,'Font.','HideMessage',110,'Remove this font warning ',27,113,'Hide this Message',115,'></div><div style=\\"height:6px\\"></div><br clear=\\"all\\"/></div></','div>"+"<div style=\\"width:22em; height:1px\\"></div>"+"</td></tr></table></center><hr/>";},',119,1,2,'_81=',7,96,97,'");if(_81){_81','.style.display="none";}},',47,1,'(_82',94,7,96,'PrintWarning',98,99,'div=',7,102,143,104,106,'_82+"</',127,'Register',1,'(_84,_85',94,'typeof (_84)=="string"){_84={name:_84};}if(!',7,'Setup.inited','&&!_85){','this.register','[',162,'.length]=_84;',99,'_86=_84.name;var _87=_86.replace(/10$/,"");var _88=',7,'TeX.fam.length;if(','_84.prefix','==null){',170,'="";}if(!_84.style){_84.style="font-family: "+',170,'+_86+", serif";}if(!','_84.styles','){',176,'={};}','if(!','_84.macros','){',181,179,7,'TeX.fam[_88]=_86;',7,'TeX.famName[_86]=_88;',181,'[_87]=["HandleFont",_88];',7,'Add(',7,'Parser.prototype.macros,',181,');',176,'[".typeset ."+_86]=_84.style;',7,'Setup.Styles(',176,19,7,'initialized){',7,63,'Push(',7,'Setup,"TeXfont",_86);}var _89=!',7,'nofonts&&_84.test(_86,_84.testChar,_84.testFactor,',170,19,'_89&&',4,'cookie.font=="',12,'if(_84.tex){_84.tex(_86,_88,_84);}return;}if(!_89&&',4,5,'.warn&&',4,216,'tex"&&!',7,8,'(!',7,96,97,98,26,'extra_message);}var _8a=',7,96,'ExtraFonts");if(_8a',94,'_8a.innerHTML','!=""){',238,'+=",";}',238,'+=" "+',170,'+_86;}}if(',4,216,40,'if(_84.fallback){_84.fallback(_86,_88,_84);}',99,'_8b={};_8b[_86]=["all"];',7,77,'(_8b);',7,90,'(_86',19,7,'initialized){',7,63,'Push(',7,'Img,"Scale");',7,63,'Push(',7,'Img,"UpdateFonts");}},LoadRegistered',1,2,'i=0;while(i<',162,'.length){this.',154,'(',162,'[i++],1);}',162,'=[];},Load',1,'(_8d){',7,'Setup.Script(this.URL(_8d));},URL',1,'(_8e){return ',7,'Img.root+_8e+"/def.js";}};',7,'Controls={',5,':{scale:100,font:"tex",autofont:1,scaleImg:0,alpha:1,warn:1,printwarn:1,stayhires:0,button:1,progress:1,asynch:0,blank:0,print:0,keep:"0D",global:"auto",hiddenGlobal:1},cookiePath:"/",','noCookiePattern',':/^(file|mk):$/,Init',1,'(){this.panel=',7,102,'panel",{display:"none"});if(!',7,50,'msieButtonBug){this.Button',25,'setTimeout("',4,'Button()",500);}},',109,1,'(){',7,'Translate.Cancel();if(this.loaded){this.Main',25,7,63,'delayedLoad(',7,'root+"jsMath-controls.html");}},Button',1,2,'_8f=',7,102,'button",{});_8f.title=" Open ',112,' ";_8f.innerHTML="<span onclick=\\"',4,109,'()\\">jsMath</span>";if(!',7,'Global.','isLocal&&!',7,'noShowGlobal){_8f.innerHTML+="<span id=\\"jsMath_global\\" title=\\" Open jsMath Global ',109,' \\" "+"onclick=\\"',7,331,'Show(1)\\">Global&nbsp;</span>";}if(_8f.offsetWidth<30){_8f.style.width="auto";}if(!','this.cookie','.button){_8f',136,'MoveButton',1,'(){if(!this.button){this.button=',7,96,'button");}','this.button.style.visibility="','hidden";',349,'visible";},GetCookie',1,'(){if(','this.defaults',171,355,179,7,192,355,',',340,');this.userSet={};var _90=',7,'document.cookie',';if(',7,'window.location','.protocol.match(this.',294,')){_90=this.','localGetCookie','();','this.isLocalCookie','=1;}if(_90.match(/jsMath=([^;]+)/)){var _91=unescape(RegExp.$1).split(/,/);for(var i=0;i<_91.length;i++){var x=_91[i].match(/(.*):(.*)/);if(x[2].match(/^\\d+$/)){x[2]=1*x[2];}',340,'[x[1]]=x[2];this.userSet[x[1]]=1;}}},',373,1,'(){return ',7,369,'.search.substr(1);},',17,1,'(_94){var _95=[];','for(var id in ',340,94,355,'[id]==null||',340,'[id]!=',355,'[id]){_95[_95.length]=id+":"+',340,'[id];}}_95=_95.join(",");if(',375,94,'_94==2){return "','jsMath="+escape(','_95);}this.','localSetCookie','(_95,_94);}else{_95=escape(_95',19,'_95==""){_94=0;}if(','this.cookiePath','){_95+="; ','path="+',408,';}if(','this.cookieDomain',409,'domain="+',413,';}if(',340,'.keep!="0D"){var ms={D',':1000*60*60*24',',W',420,'*7,M',420,'*30,Y',420,'*365};var exp=new Date;exp.setTime(exp.getTime()+',340,'.keep.substr(','0,1)*ms[',340,429,'1,1)]);_95+="; expires="+exp.toGMTString();}if(_95!=""){',7,366,'="jsMath="+_95;var _99=',7,366,';if(_94&&!_99.match(/jsMath=/)){alert("Cookies must be enabled in order to save jsMath options");}}}return null;},',404,1,'(_9a,_9b){if(!_9b){',99,'_9c=String(',7,369,').replace(/\\?.*/,"");if(_9a!=""){_9c+="?',402,'_9a',58,'_9c!=',7,369,'.href){this.Reload(_9c);}},Reload',1,'(url){if(!this.loaded){return;}this.loaded=0;',7,160,'=-100;',7,331,'ClearCache();if(url){',7,369,'.replace(url);}else{',7,369,'.reload();}}};',7,'Click={CheckClick',1,'(_9e){if(!_9e){_9e=',7,'window.event;}if','(_9e.altKey){',4,109,'();}},CheckDblClick',1,'(_9f){if(!_9f){_9f=',7,474,'(!',7,'Click.DblClick){',7,'Extension.Require("double-click",1);var _a0=_9f;_9f={};',388,'_a0){_9f[id]=_a0[id];}}',7,63,'Push(',7,'Click,"DblClick",[_9f,this.alt]);}};',7,'TeX={thinmuskip:3/18,medmuskip:4/18,thickmuskip:5/18,x_height:0.430554,quad:1,num1:0.676508,num2:0.393732,num3:0.44373,denom1:0.685951,denom2:0.344841,sup1:0.412892,sup2:0.362892,sup3:0.288888,sub1:0.15,sub2:0.247217,sup_drop:0.386108,sub_drop:0.05,delim1:2.39,delim2:1,axis_height:0.25,default_rule_thickness:0.06,big_op_spacing1:0.111111,big_op_spacing2:0.166666,big_op_spacing3:0.2,big_op_spacing4:0.6,big_op_spacing5:0.1,integer:6553.6,scriptspace:0.05,nulldelimiterspace:0.12,delimiterfactor:901,delimitershortfall:0.5,scale:1,atom:["ord","op","bin","rel","open","close","punct","ord"],fam:["cmr10","cmmi10","cmsy10","cmex10","cmti10","","cmbx10",""],famName:{cmr10:0,cmmi10:1,cmsy10:2,cmex10:3,cmti10:4,cmbx10:6},encoding:["&#xC0;","&#xC1;","&#xC2;","&#xC3;","&#xC4;","&#xC5;","&#xC6;","&#xC7;","&#xC8;","&#xC9;","&#xCA;","&#xCB;","&#xCC;","&#xCD;","&#xCE;","&#xCF;","&#xB0;","&#xD1;","&#xD2;","&#xD3;","&#xD4;","&#xD5;","&#xD6;","&#xB7;","&#xD8;","&#xD9;","&#xDA;","&#xDB;","&#xDC;","&#xB5;","&#xB6;","&#xDF;","&#xEF;","!","&#x22;","#","$","%","&#x26;","&#x27;","(",")","*","+",",","-",".","/","0","1","2","3","4","5","6","7","8","9",":",";","&#x3C;","=","&#x3E;","?","@","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","[","&#x5C;","]","^","_","`","a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z","{","|","}","&#x7E;","&#xFF;"],cmr10:[[0.625',',0.683],[0.','833',497,'778',497,'694',497,'667',497,'75',497,'722',497,'778',497,'722',497,'778',497,'722',497,'583',',0.694,0,{ic:0.','0778,krn:{"39":0.0778,"63":0.0778,"33":0.0778,"41":0.0778,"93":0.0778},lig:{"105":','14,"108":15}}],[0.','556',',0.694],[0.','556',523,'833',523,'833',523,'278',',0.431],[0.','306,0.431',',0.194],[0.','5',523,'5',523,'5,0.628],[0.5',523,'5,0.568],[0.75',523,'444,0,0.17],[0.5',523,'722',531,'778',531,'5,0.528,0.0972],[0.903,0.683],[1.01',497,'778,0.732,0.0486],[','0.278',',0.431,0,{','krn:{"108":-0.','278,"76":-0.319}}],[',551,',0.694,0,{lig:{"96":','60}}],[0.5',523,'833',',0.694,0.194],[','0.5',',0.75,0.0556],[0.','833',562,'778',523,'278',',0.694,0,{krn:{"','63":0.111,"33":0.111','},lig:{"39":34}}],[0.','389',',0.75,0.25],[0.','389',572,'5,0.75],[','0.778,0.583,0.0833],[','0.278,0.106',533,'333',552,'lig:{"45":','123}}],[',577,'],[0.5',572,'5,0.644','],[0.5,0.644],[0.5,0.','644',587,'644',587,'644',587,'644],[0.5,0.644],[',551,531,'278,0.431',533,'278,0.5',533,'778',',0.367,-0.133],[','0.472,0.5',533,'472',556,'62}}],[0.778',523,'75',',0.683,0,{krn:{"','116','":-0.0278,"','67',612,'79',612,'71',612,'85',612,'81',612,'84":-0.0833,"89":-0.0833,"86":-0.111,"87":-0.111}}],[0.','708',497,'722',497,'764',610,'88',612,'87',612,'65',612,'86',612,'89":-','0.0278}}],[0.','681',497,'653',',0.683,0,{','krn:{"111":-0.0833,"101":-0.0833,"117":-0.0833,"114":-0.0833,"97":-0.0833,"65":-0.111,"79":-0.0278,"67":-0.0278,"71":-0.0278,"81":-0.0278}}],[','0.785',497,'75',497,'361',610,'73":',639,'514',497,'778',610,'79',612,'67',612,'71',612,'81":-',639,'625',610,623,'917',497,'75',497,'778',610,'88',612,'87',612,'65',612,'86',612,'89":-',639,'681',610,'65','":-0.0833,"','111',612,'101',612,'97',612,'46',687,'44":-0.','0833}}],[0.','778,0.683',533,'736',610,'116',612,'67',612,'79',612,'71',612,'85',612,'81',612,623,'556',497,'722',610,'121',612,'101',687,'111',687,'114',687,'97',687,'65',687,'117":-0.',697,'75',497,'75',',0.683,0,{ic:0.','0139,',644,'1.03',736,'0139,',644,'0.75',610,'79',612,'67',612,'71',612,'81":-',639,'75',736,'025,krn:{"101',687,'111',687,'114',687,'97',687,'65',687,731,697,'611',497,'278',572,'5',523,'278',572,'5',523,'278,0.668],[0.','278',556,'92}}],[0.5',552,'krn:{"118',612,'106":0.0556,"121',612,'119":-',639,'556,0.','694,0',',{krn:{"101":0.0278,"111":0.0278,"120":-0.0278,"100":0.0278,"99":0.0278,"113":0.0278,"118":-0.0278,"106":0.0556,"121":-0.0278,"119":-0.0278}}],[0.','444',552,'krn:{"104',612,'107":-',639,'556',523,'444',531,'306',519,520,'12,"102":11,"108":13}}],[0.5',',0.431,0.194,{','ic:0.','0139,krn:{"','106":',639,'556',568,'116',612,'117',612,'98',612,'121',612,'118',612,'119":-',639,777,'306,0.668',533,'528',568,'97','":-0.0556,"','101',612,'97',612,'111',612,'99":-',639,'278',523,'833',552,'krn:{"116',612,'117',612,'98',612,'121',612,'118',612,'119":-',639,'556',552,'krn:{"116',612,'117',612,'98',612,'121',612,'118',612,'119":-',639,'5,0.431',',0',790,788,'431,0.194',790,'528,0.431',533,'392',531,'394',531,'389,0.615,0,{krn:{"121',612,'119":-',639,'556',552,'krn:{"119":-',639,'528',',0.431,0,{ic:0.',807,'97',830,'101',612,'97',612,'111',612,'99":-',639,'722',890,807,'101',612,'97',612,'111',612,'99":-',639,'528',531,'528',805,'ic:0.',807,'111',612,'101',612,'97',612,'46',687,'44":-0.',697,'444',531,'5',890,'0278,',581,'124}}],[1',890,'0278}],[0.','5',523,'5,0.668],[0.5,0.668]],cmmi10:[[0.615',736,'139',',krn:{"61":-0.0556,"59":-0.111,"58":-0.111,"127":0.',697,'833',610,'127":0.167}}],[0.','763',736,933,'krn:{"127":0.0833}}],[0.','694',610,947,'742',736,'0757,',951,'831',736,'0812,krn:{"61',830,'59":-0.0556,"58":-0.0556,"127":0.','0556}}],[0.','78',736,'0576,',951,'583',736,'139',943,964,'667',643,951,'612',736,'11,krn:{"61',830,963,964,'772',736,'0502,',951,'64',890,'0037,','krn:{"127":',639,'566',',0.694,0.194,{ic:0.','0528,',951,'518',805,'ic:0.0556}],[0.444',519,'0378,krn:{"',963,964,'406',552,'krn:{"127":0.0556}}],[0.','438',993,'0738,',951,'497',805,'ic:0.0359',',',1005,'469',519,933,951,'354',552,1005,'576',531,'583',523,'603',805,990,639,'494',890,'0637,krn:{"',963,'0278}}],[0.','438',993,'046,',990,'0.111}}],[0.','57',890,'0359}],[0.','517',805,951,'571',890,'0359,krn:{"59',830,'58":-0.',964,'437',890,'113,krn:{"',963,1034,'54',890,'0359,',990,639,'596,0.694,0.194,{',951,'626',805,1005,'651',993,'0359,',990,1039,'622',890,1042,'466',552,951,'591',',0.694,0,{',951,'828',890,937,'517',805,951,'363,0.431,0.0972,{ic:0.0799,',951,'654',805,990,'0.0833}}],[1',602,'1',602,'1',602,'1',602,551,',0.464,-0.0363],[',551,1101,'0.5,0.465,-0.0347],[',1104,'0.5',531,'5',531,'5',531,869,533,869,533,869,',0.194',587,873,587,'431',533,'278,0.106],[',577,533,'778',',0.539,0.0391],[','0.5,0.75,0.25,{krn:{"1',830,'65',830,'77',830,'78',830,'89":0.0556,"90":-0.',964,'778',1127,1104,'0.531',519,'0556,',951,'75',610,'127":','0.','139}}],[0.','759',736,'0502,',951,'715',736,'0715,krn:{"61',612,963,697,'828',736,933,1005,'738',736,'0576,',951,'643',736,'139',943,697,'786',643,951,'831',736,'0812,krn:{"61',830,963,964,'44',736,'0785,',990,1039,'555',736,'0962',943,'167}}],[0.','849',736,'0715,krn:{"61',830,963,964,'681',610,1147,639,'97',736,'109,krn:{"','61',830,963,697,'803',736,1204,'61',687,'61',612,963,697,'763',736,933,951,'642',736,'139',943,697,'791,0.683,0.194,{',951,'759',736,'00773,',951,'613',736,'0576,krn:{"61',830,963,697,'584',736,'139,krn:{"61',612,963,697,'683',736,1204,'59":-0.111,"',1050,'111,"61',830,1147,639,'583',736,'222',',krn:{"59":-0.167,"58":-0.167,"61":-0.111}}],[0.','944',736,'139',1257,'828',736,'0785,krn:{"61',687,'61',612,963,697,'581',736,'222',1257,'683',736,'0715,krn:{"61',830,963,697,'389,0.75],[0.389',560,'0.389',560,'1,0.358,-0.142],[',1284,'0.417',1079,990,1039,'529',531,'429',523,'433',552,1005,'52',568,'89":0.0556,"90',830,'106":-0.111,"102":-0.167,"',947,'466',552,1005,'49',993,'108,krn:{"',963,1191,'477',805,1012,',',990,639,'576',568,'127":-',639,'345,0.66],[0.412,0.66,0.194,{ic:0.0572,krn:{"59',830,1050,964,'521',519,'0315}],[0.298',519,'0197,',951,'878',531,'6',531,'485',552,1005,'503',805,951,'446',805,1012,',',951,'451',890,933,'krn:{"',963,964,'469',552,1005,'361,0.615,0,{',951,'572',552,990,639,'485',890,'0359,',990,639,'716',890,'0269,',951,'572',552,990,639,'49',805,1012,',',1005,'465',890,'044,',1005,'322',552,990,639,'384',805,951,'636',805,990,1039,'5,0.714,0,{ic:0.154}],[',551,519,'399}]],cmsy10:[[',576,551,',0.444,-0.0556],[',576,1104,576,'0.5,0.444,-0.0556],[',576,576,576,576,576,576,576,'1',560,1404,1404,'0.778',1101,'0.778,0.464,-0.0363','],[0.778,0.636,0.136',1419,1419,1419,1419,1419,'],[0.778',602,'0.778,0.483,-0.0169],[0.778',1127,'0.778',1127,'1',1127,'1',1127,'0.778',1127,'0.778',1127,'1',602,'1',602,'0.5',560,'0.5',560,'1',602,'1',560,'1',560,'0.778',1101,'1',602,'1',602,'0.611',560,'0.611',560,'1',602,'1',560,'1',560,'0.778',531,'275,0.556],[1',531,'667',1127,'0.667',1127,'0.889',560,'0.889',560,'0',560,'0',602,'0.556',523,'556',523,'667',531,'5',562,'722',523,'722',523,'778',523,'778',523,'611',523,'798',610,'48":0.','194}}],[0.657',736,'0304',',krn:{"48":0.',1149,'527',736,'0583',1509,1149,'771',736,'0278',1509,697,'528',736,'0894',1509,'111}}],[0.','719',736,'0993',1509,1525,'595',',0.683,0.0972,{ic:0.','0593',1509,1525,'845',736,'00965',1509,1525,'545',736,'0738,krn:{"48":',639,'678',1532,'185',1509,1191,'762',736,'0144',1509,964,'69',610,1505,'139}}],[1.2',610,1505,1149,'82',736,'147',1509,697,'796',736,1518,1509,1525,'696',736,'0822',1509,697,'817,0.683,0.0972,{krn:{"48":',1039,'848',610,1505,697,'606',736,'075',1509,1149,'545',736,'254,krn:{"48":',639,'626',736,'0993',1509,697,'613',736,'0822,krn:{"48":',639,'988',736,'0822',1509,697,'713',736,'146',1509,1149,'668',1532,'0822',1509,697,'725',736,'0794',1509,1149,'667,0.556],[0.',1621,1621,1621,1621,'611',523,'611',523,'444',572,'444',572,'444',572,'444',572,'5',572,'5',572,'389',572,'389',572,'278',572,'5',572,'5',572,'611',572,'5',572,'278',560,'0.833,0.04,0.96],[0.75',497,'833',497,'417',993,'111}],[0.',1621,'667,0.556',1419,1419,'],[0.444',560,'0.444',560,'0.444',560,'0.611',560,'0.778,0.694,0.13','],[',1677,'],[',1677,'],[',1677,']],cmex10:[[0.458',',0.04,1.16,{n:','16}],[0.458',1685,'17}],[0.417',1685,'104}],[0.417',1685,'105}],[0.','472',1685,'106}],[0.472',1685,'107}],[0.472',1685,'108}],[0.472',1685,'109}],[0.583',1685,'110}],[0.583',1685,1664,'472',1685,'68}],[0.472',1685,'69}],[0.333',',0,0.6,{delim:{','rep:12}}],[0.556',1711,'rep:13}}],[0.578',1685,'46}],[0.578',1685,'47}],[0.597',',0.04,1.76,{','n:18}],[0.597',1719,'n:19}],[0.736',',0.04,2.36,{n:','32}],[0.736',1723,'33}],[0.528',1723,'34}],[0.528',1723,'35}],[0.583',1723,'36}],[0.583',1723,'37}],[0.583',1723,'38}],[0.583',1723,'39}],[0.75',1723,'40}],[0.75',1723,'41}],[0.75',1723,'42}],[0.75',1723,'43}],[1.04',1723,'44}],[1.04',1723,'45}],[0.792',',0.04,2.96,{n:','48}],[0.792',1751,'49}],[0.583',1751,'50}],[0.583',1751,'51}],[0.639',1751,'52}],[0.639',1751,'53}],[0.639',1751,'54}],[0.639',1751,'55}],[0.806',1751,'56}],[0.806',1751,'57}],[0.806',',0.04,2.96],[','0.806',1771,'1.28',1771,'1.28',1771,'0.811',1719,'n:30}],[0.811',1719,'n:31}],[0.875',1719,'delim:{top:','48,bot:64,rep:66}}],[0.875',1719,1784,'49,bot:65,','rep:67}}],[0.','667',1719,1784,'50,bot:52,rep:54}}],[0.667',1719,1784,'51,bot:53,rep:55}}],[0.667',1719,'delim:{bot:','52,rep:54}}],[0.667',1719,1798,'53,rep:55}}],[0.667',1711,'top:50,rep:54}}],[0.667',1711,'top:51,rep:55','}}],[0.889,0,0.9,{delim:{top:','56,mid:60,bot:58,rep:62',1807,'57,mid:61,bot:59,rep:62',1807,'56,bot:58,rep:62',1807,'57,bot:59,rep:62','}}],[0.889,0,1.8,{delim:{rep:','63',1815,'119}}],[0.889,0,0.3,{delim:{','rep:62}}],[0.','667',1711,'top:120,','bot:121,rep:63}}],[0.','875',1719,1784,'56,bot:59,',1819,'875',1719,1784,'57,bot:58,',1819,'875',1711,'rep:66}}],[0.875',1711,1789,'611',1719,'n:28}],[0.611',1719,'n:29','}],[0.833,0,1,{n:','71}],[1.11',',0.1,1.5],[','0.472,0,1.11,{ic:0.194,n:','73}],[','0.556,0,2.22,{ic:0.444}],[1.11,0',',1,{n:75}],[1.51,0','.1,1.5],[1.11,0',',1,{n:77}],[1.51,0',1851,',1,{n:79}],[1.51',1846,'1.06,0,1,{n:88}],[0.944,0,1,{n:89}],[',1847,'90',1844,'91',1844,'92',1844,'93',1844,'94',1844,'95}],[1.44',1846,'1.28',1846,1849,1851,1851,1851,1851,'.1,1.5],[0.944,0,1,{n:97}],[1.28',1846,'0.556,0.722,0,{n:','99','}],[1,0.75,0,{n:','100}],[1.44,0.75],[',1879,'102',1881,'103}],[1.44,0.75],[0.472',1719,'n:20}],[0.472',1719,'n:21}],[0.528',1719,'n:22}],[0.528',1719,'n:23}],[0.528',1719,'n:24}],[0.528',1719,'n:25}],[0.667',1719,'n:26}],[0.667',1719,'n:27}],[1',1685,'113}],[1',1719,'n:114}],[1',1723,'115}],[1',1751,'116}],[1.06,0,1.8,{',1784,'118,bot:116,rep:117}}],[1.06,0,0.6],[1.06,0.04,0.56],[0.778',1711,'top:126,','bot:127,rep:119','}}],[0.667',1711,1822,'rep:63}}],[0.667',1711,1823,'45,0.12],[0.',1922,1922,1922,'778',1711,1914,'rep:119}}],[0.778',1711,1915,'}}]],cmti10:[[0.627',736,'133}],[0.818',497,'767',736,'094}],[0.692',497,'664',736,'153}],[0.743',736,'164}],[0.716',736,'12}],[0.','767',736,1664,'716',736,'0599}],[0.767',736,1664,'716',736,'103}],[0.','613',993,'212,krn:{"39":0.104,"63":0.104,"33":0.104,"41":0.104,"93":0.104},lig:{"105":',521,'562',993,1957,'588',993,1957,'882',993,1957,'894',993,1957,'307',890,'0767}],[0.332',805,'ic:0.0374}],[0.511',523,'511',519,'0969','}],[0.511,0.','628,0,{ic:0.083}],[0.511',519,'108',1983,'562,0,{ic:0.',1957,'831',523,'46,0,0.17],[0.537',993,1692,'716',890,'0751}],[0.716',890,'0751',1983,'528,0.0972,{ic:0.0919}],[0.883',736,1946,'985',736,1946,'767,0.732,0.0486,{ic:0.094}],[0.256',552,553,'256,"76":-0.321}}],[0.307',519,'124,lig:{"96":60}}],[0.514',519,'0696}],[0.818',993,'0662}],[0.769',523,'818,0.75,0.0556',',{ic:0.136}],[0.','767',519,'0969}],[0.307',519,'124,krn:{"63":0.102,"33":0.102',570,'409',',0.75,0.25,{ic:0.162}],[0.','409,0.75,0.25,{ic:0.0369',1983,'75,0,{ic:0.149}],[0.767,0.562,0.0567,{ic:0.0369}],[0.307,0.106',533,'358',890,'0283,',581,'123}}],[0.307,0.106],[0.511',2027,'511,0.644,0',',{ic:0.136}],[0.511,0.644,0',2039,2039,2039,'.194',2039,2039,2039,'.194',2039,2039,2019,'307',890,'0582}],[0.307',805,'ic:0.0582}],[0.307,0.5,0.194,{ic:0.0756}],[0.767,0.367,-0.133,{ic:0.0662',1983,'5',533,'511',519,'122,lig:{"96":62}}],[0.767',519,'096}],[0.743',610,'110','":-0.0256,"','108',2066,'114',2066,'117',2066,'109',2066,'116',2066,'105',2066,'67',2066,'79',2066,'71',2066,'104',2066,'98',2066,'85',2066,'107',2066,'118',2066,'119',2066,'81',2066,'84":-0.0767,"89":-0.0767,"86":-0.102,"87":-0.102,"101":-0.0511,"97":-0.0511,"111":-0.0511,"100":-0.0511,"99":-0.0511,"103":-0.0511,"113":-0.0511}}],[0.','704',736,1957,'716',736,'145}],[0.755',736,'094,krn:{"88',2066,'87',2066,'65',2066,'86',2066,'89":-0.0256}}],[0.678',736,1946,'653',736,'133,krn:{"111','":-0.0767,"','101',2121,731,'0767,"114',2121,'97',2121,'65":-0.102,"79',2066,'67',2066,'71',2066,'81":-0.0256}}],[0.','774',736,'0872}],[0.743',736,'164}],[0.386',736,'158}],[0.525',736,'14}],[0.769',736,'145,krn:{"79',2066,'67',2066,'71',2066,2135,'627',610,2099,'897',643,'ic:0'],
  ['.164','}],[0.','743,0.683',',0,{ic:0.','164',1,'767,0.683',3,'094',',krn:{"','88','":-0.0256,"','87',11,'65',11,'86',11,'89','":-0.0256}}],[0.','678,0.683',3,'103',9,'65":-0.','0767','}}],[0.','767,0.683',',0.194,{ic:0.','094',1,'729,0.683',3,'0387',9,'110',11,'108',11,'114',11,'117',11,'109',11,'116',11,'105',11,'67',11,'79',11,'71',11,'104',11,'98',11,'85',11,'107',11,'118',11,'119',11,'81',11,'84','":-0.0767,"','89',70,'86":-0.102,"87":-0.102,"','101":-0.0511,"97":-0.0511,"111":-0.0511,"100":-0.0511,"99":-0.0511,"103":-0.0511,"113":-0.0511}}],[0.','562,0.683',3,'12',1,'716,0.683',3,'133',9,'121',70,'101":-0.0767,"111":-0.0767,"114":-0.0767,"97":-0.0767,"117":-0.0767,"65":-0.0767}}],[0.','743,0.683',3,'164',1,'743,0.683',3,'184',9,'111',70,'101',70,'117',70,'114',70,'97',70,24,'102,"79',11,'67',11,'71',11,'81',19,'999,0.683',3,'184',9,24,25,26,'743,0.683',3,'158',9,'79',11,'67',11,'71',11,'81',19,'743,0.683',3,'194',9,85,'613,0.683',3,'145',1,'307',',0.75,0.25',',{ic:0.188',1,'514',',0.694',3,'169',1,'307',142,',{ic:0.105',1,'511',146,3,'0665',1,'307,0.','668',3,'118',1,'307',146,3,'124,lig:{"96":92',26,'511,0.','431',3,25,1,'46',146,3,'0631',9,74,'46,0.','431',3,'0565',9,74,'511',146,3,'103',9,'108":0.0511}}],[0.',180,'431',3,'0751',9,74,'307',146,28,'212',9,'39":0.104,"63":0.104,"33":0.104,"41":0.104,"93":0.104},lig:{"105":','12,"102":11,"108":13}}],[0.',180,'431',28,'0885',1,'511',146,3,25,1,159,'655',3,'102',1,159,'655',28,'145',1,'46',146,3,'108',1,'256',146,3,'103',9,191,'818,0.431',3,25,1,'562,0.431',3,25,9,'39":-0.102',26,169,'431',3,'0631',9,74,169,'431',28,'0631',9,74,180,'431',28,'0885',1,'422,0.431',3,'108',9,74,'409,0.431',3,'0821',1,'332,0.615',3,'0949',1,'537,0.431',3,25,1,180,'431',3,'108',1,'664,0.431',3,'108',9,191,'464,0.431',3,'12',1,'486,0.431',28,'0885',1,'409,0.431',3,'123',1,169,'431',3,'0921',',lig:{"45":124}}],[1.','02,0.431',3,305,1,'511',146,3,'122',1,169,'668',3,'116',1,169,'668',3,'105}]],cmbx10:[[0.692',',0.686],[0.','958',325,'894',325,'806',325,'767',325,'9',325,'831',325,'894',325,'831',325,'894',325,'831',325,'671',146,3,'109,krn:{"39":0.109,"63":0.109,"33":0.109,"41":0.109,"93":0.109},lig:{"105":','14,"108":15',26,'639',',0.694],[0.','639',353,'958',353,'958',353,'319',',0.444],[0.','351',',0.444,0.194','],[0.575,0.','694',364,'694',364,'632',364,'694',364,'596],[0.869',353,'511,0,0.17],[0.597',353,'831',361,'894,0.444',364,'542,0.0972],[1.04,0.686],[1.17',325,'894,0.735,0.0486],[0.319',',0.444,0,{krn:{"','108":-0.319,"76":-0.378',26,'35',',0.694,0,{lig:{"96":','60',26,'603',353,'958',146,',0.194',364,'75,0.0556],[0.','958,0.',397,'894',353,'319',146,',0,{krn:{"','63":0.128,"33":0.128},lig:{"39":34',26,'447',142,'],[0.447',142,364,'75],[0.894,0.633,0.133],[0.','319,0.156',',0.194],[0.','383,0.444,0,{lig:{"45":123',26,413,364,'75,0.25',364,'644',364,'644',364,'644',364,'644',364,'644',364,'644',364,'644',364,'644',364,'644',364,'644],[0.319',361,'319,0.444',414,'35,0.5',414,'894,0.391,-0.109],[0.543,0.5',414,'543',388,'62',26,'894',353,'869',',0.686,0,{krn:{"','116','":-0.0319,"','67',456,'79',456,'71',456,'85',456,'81',456,'84":-0.0958,"89":-0.0958,"86":-0.128,"87":-0.128}}],[','0.818',325,'831',325,'882',454,'88',456,'87',456,'65',456,'86',456,'89','":-0.0319}}],[0.','756',325,'724,0.686,0,{','krn:{"111":-0.0958,"101":-0.0958,"117":-0.0958,"114":-0.0958,"97":-0.0958,"65":-0.128,"79":-0.0319,"67":-0.0319,"71":-0.0319,"81":-0.0319}}],[','0.904',325,'9',325,'436',454,'73":0.0319',26,'594',325,'901',454,'79',456,'67',456,'71',456,'81',483,'692',454,467,'1.09',325,'9',325,'864',454,'88',456,'87',456,'65',456,'86',456,'89',483,'786',454,24,'0958,"111',456,'101',456,'97',456,'46":-0.0958,"44":-0.0958}}],[0.','864,0.686',414,'862',454,'116',456,'67',456,'79',456,'71',456,'85',456,'81',456,467,'0.639',325,'8',454,'121',456,'101":-0.0958,"111":-0.0958,"114":-0.0958,"97":-0.0958,"65":-0.0958,"117":-0.0958}}],[0.','885',325,'869,0.686',3,'016,',487,'1.19,0.686',3,'016,',487,'0.869',454,'79',456,'67',456,'71',456,'81',483,'869,0.686',3,'0287',9,560,'703',325,'319',142,'],[0.603',353,'319',142,364,'694],[0.319',353,'319',388,'92',26,'559',384,'118',456,'106":0.0639,"121',456,'119',483,'639',146,',0',',{krn:{"101":0.0319,"111":0.0319,"120":-0.0319,"100":0.0319,"99":0.0319,"113":0.0319,"118":-0.0319,"106":0.0639,"121":-0.0319,"119":-0.0319}}],[0.','511',384,'104',456,'107',483,'639',353,'527',361,'351',146,3,349,204,'575,0.444',28,'016',9,'106":0.0319',26,'639',146,404,'116',456,'117',456,'98',456,'121',456,'118',456,'119',483,'319',353,'351',146,414,'607',146,404,'97":-0.0639,"101',456,'97',456,'111',456,'99',483,'319',353,'958',384,'116',456,'117',456,'98',456,'121',456,'118',456,'119',483,'639',384,'116',456,'117',456,'98',456,'121',456,'118',456,'119',483,'575,0.444,0',612,'639',363,612,'607,0.444',414,'474',361,'454',361,'447,0.635',404,'121',456,'119',483,'639',384,'119',483,700,3,'016',9,'97":-0.0639,"101',456,'97',456,'111',456,'99',483,'831,0.444',3,'016',9,'101',456,'97',456,'111',456,'99',483,700,'],[0.',700,28,'016',9,'111',456,'101',456,'97',456,536,169,'444',364,'444',3,'0319',306,'15,0.444',3,'0319',1,'575',146,364,'694',364,'694]]};','jsMath.Img','={fonts:[50,60,70,85,100,120,144,173,207,249,298,358,430],w:{"50":6.9,"60":8.3,"70":9.7,"85":11.8,"100":13.9,"120":16.7,"144":20,"173":24,"207":28.8,"249":34.6,"298":41.4,"358":49.8,"430":59.8},best:4,update:{},factor:1,loaded:0,SetFont',':function(','_a2){for(var _a3 in _a2){if(!','this.update[_a3',']){',774,']=[];}',774,']=',774,'].concat(_a2[_a3]);}},AddFont',772,'_a4,def){if(!',770,'[_a4]){',770,'[_a4]={};}','jsMath.Add(jsMath.','Img[_a4],def);},UpdateFonts',':function(){','var _a6=this.update;','if(!this.loaded){','return;}var ','_a7=this[','jsMath.Img.fonts','[this.best]];','for(var _a8 in _a6){','for(var i=0;i<','_a6[_a8].length;i++){var c=_a6[_a8][i];if(c=="all"){for(c in ','jsMath.TeX[','_a8]){',800,'_a8][c].img','={};}}else{',800,803,'={};}}}this.update={};},BestSize',790,'var w=jsMath.em*this.factor;var m=','this.w[this.fonts[','0]];for(var i=1;i<','this.fonts','.length;i++){','if(w<(',810,'i]]+2*m)/3){','return ','i-1;}m=',810,'i]];}',817,'i-1;},Scale',790,792,'return;}this.best=this.BestSize();this.em=',770,'.w[',812,796,'this.scale','=(jsMath.em/this.em);','if(Math.abs(',830,'-1)<0.12){',830,'=1;}},URL',772,'_ae,_af,C){var _b1=(','jsMath.Controls.cookie.','alpha)?"/alpha/":"/plain/";if(C==null){C="def.js";}else{C="char"+C+".png";}if(_af!=""){_af+="/";}','return this.','root+_ae+_b1+_af+C;},LoadFont',772,'_b2){',792,'this.Init();}jsMath.Setup.Script(this.URL(_b2,""));},Init',790,'if(',839,'print||',839,'stayhires','){',839,'print=',839,852,';this.factor*=3;if(!','jsMath.Controls.','isLocalCookie||!jsMath.Global.isLocal){',859,'SetCookie(0);}if(','jsMath.Browser.','alphaPrintBug){',839,'alpha=0;}}var _b3="0123456789ABCDEF";this.HexCode=[];',798,'128;i++){var h=Math.floor(i/16);var l=i-16*h;this.HexCode[i]=_b3.charAt(h)+_b3.charAt(l);}this.loaded=1;}};jsMath.HTML={Em',772,'m){var n=5;if(m<0){n++;}',832,'m)<0.000001){m=0;}var s=String(m);s=s.replace(/(\\.\\d\\d\\d).+/,"$1");',817,'s+"em";},Spacer',772,'w){if(w==0){return "";}',817,863,'msieSpaceFix+"<','span class=\\"spacer\\" style=\\"margin-','left:"+this.Em(','w)+"\\"></span>";},Blank',772,'w,h,d,_be){var _bf="";var _c0="";if(_be){_c0+="border-',881,'w)+" solid;";if(',863,'widthAddsBorder){w=0;}}if(w==0){if(',863,'blankWidthBug){_c0+="width:1px;";_bf="<',880,'right:-1px\\"></span>";}}else{_c0+="width:"+this.Em(w)+";";}if(d==null){d=0;}if(h){var H=this.Em(h+d);if(_be&&h*jsMath.em<1.5){H="1px";h=1/jsMath.em;}_c0+="height:"+H+";";}if(',863,'mozInlineBlockBug){d=-h;}if(',863,'msieBorderBug&&!_be){d-=jsMath.d;}if(d){_c0+="','vertical-align:"+','this.Em(-d);}',817,'_bf+"<span class=\\"blank\\" ','style=\\""+','_c0+"\\"></span>";},Rule',772,'w,h){if(h==null){h=jsMath.TeX.default_rule_thickness;}',841,'Blank(w,h,0,1);},Class',772,'_c4,_c5){return "<span class=\\""+_c4+"\\">"+_c5+"</span>";},Place',772,'_c6',',x,y){if(Math.abs(x)<0.0001){x=0;}if(Math.abs(y)<0.0001){y=0;}','if(x||y){var _c9','="<span style=\\"position',': relative',';";if(x){_c9+=" margin-',881,'x)+";";}if(y){_c9+=" ','top:"+this.Em','(-y)+";";}_c6=_c9+"\\">"+_c6','+"</span>";}',817,'_c6;},PlaceSeparateSkips',772,'_ca',911,'if(y){_ca',913,914,'; ',918,'(-y)+";"+"\\">"+_ca',920,'if(x){_ca=this.Spacer(x)+_ca',';}return ','_ca;},PlaceAbsolute',772,'_cd',911,'_cd',913,':absolute','; ',881,'x)+"; "+"',918,'(y)+";\\">"+_cd+"&nbsp;</span>";',817,'_cd;},Absolute',772,'_d0,w,h,d,y,H){if(y!="none"){',832,'y)<0.0001){y=0;}_d0',913,941,'; "+"top:"+','jsMath.HTML.','Em(y)+"; left:0em',';\\">"+_d0','+"&nbsp;"+"</span>";}if(d=="none"){d=0;}_d0+=this.Blank(w,h-d,d);if(',863,'msieAbsoluteBug){_d0',913,':relative',958,920,'_d0',913,963,';"+" width: "+',956,'Em(w)+";"+" height: "+',956,'Em(H)+";"+',863,'msieInlineBlockFix+"\\">"+_d0+"</span>";',817,'_d0;}};','jsMath.Box','=function(','_d6,_d7,w,h,d){if(d==null){d=jsMath.d;}this.type="typeset";this.w=w;this.h=h;this.d=d;this.bh=h;this.bd=d;this.x=0;this.y=0;','this.html=','_d7;this.format=_d6;};',788,'Box,{defaultH:0,Null:','new jsMath.Box("','null","",0,0,0),Text',772,'_db,_dc,_dd,_de,a,d){var _e1=','jsMath.Typeset.AddClass(','_dc,_db);_e1=','jsMath.Typeset.','AddStyle(','_dd,_de,_e1);var BB','=jsMath.EmBoxFor(','_e1);var TeX=',991,'TeX(_dd,_de);var bd=((_dc=="cmsy10"||_dc=="cmex10")?BB.h-TeX.h:TeX.d*BB.h/TeX.hd);','var box=',985,'text",_db,BB.w,BB.h-bd,bd);box.style=_dd;box.size=_de;','box.tclass','=_dc;if(d!=null){box.d=d','*TeX.scale;}else{box.','d=0;}if(a==null||a==1){box.h=0.9*TeX.M_height;}else{box.h=1.1*TeX.x_height+TeX.scale*a;}','return box;},','TeX',772,'C,_e7,_e8,_e9){var c=',800,'_e7][C];if(','c.d==null){c.d=0;}','if(c.h','==null){c.','h=0',';}if(c.img!=null','&&c.c!=""){this.TeXIMG(_e7,C,',991,'StyleSize(_e8,_e9));}var _eb=',991,'TeX(_e8,_e9).scale;var h=c.h+',800,'_e7].dh;',998,985,'text",c.c,c.w*_eb,h*_eb,c.d*_eb);box.style=_e8;box.size=_e9;if(c.tclass){',1001,'=c.tclass;if(c.img){box.bh=c.img.bh;box.bd=c.img.bd;}else{box.bh=_eb*jsMath.h;box.bd=_eb*jsMath.d;}}else{',1001,'=_e7;box.bh=_eb*',800,'_e7].h;box.bd=_eb*',800,'_e7].d;if(',863,'msieFontBug&&box.html.match(/&#/)){box.html+="<span style=\\"display:none\\">x</span','>";}}',1005,'TeXfallback',772,'C,_ef,_f0,_f1','){var c=',800,'_ef][C];if(!c.tclass){c.tclass=_ef',1015,'){',841,'TeXnonfallback(',1040,');}if(c.h!=null&&c.a',1013,'a=c.h-1.1*jsMath.TeX.x_height;}var a=c.a;var d=c.d;',998,'this.Text(c.c,c.tclass,_f0,_f1,a,d);var _f6=',991,'TeX(_f0,_f1).scale;if(c.bh!=null){box.bh=c.bh*_f6;box.bd=c.bd*_f6;}else{var h=box.bd+box.bh;var _f8=',989,1001,',box.html);_f8=',991,992,'_f0,_f1,_f8);box.bd',994,'_f8+',956,'Blank(1,h)).h-h;box.bh=h-box.bd;if(_f6==1){c.bh=box.bh;c.bd=box.bd;}}if(jsMath.',1035,'>";}',1005,'TeXIMG',772,'_f9,C,_fb){var c=',800,'_f9][C];if(c.img.size!=null&&c.img.size==_fb&&c.img.best!=null&&c.img.best==','jsMath.Img.best','){',793,'_fd=(',770,'.scale!=1);var id=',1074,'+_fb-4;if(id<0){id=0;_fd=1;}else{if(id>=',795,'.length){','id=',795,'.length-1',';_fd=1;}}var _ff=',770,'[',795,'[id]];var img=_ff[_f9][C];var _101=1/',770,'.w[',795,'[id]];if(id!=',1074,'+_fb-4){if(c.w!=null){_101=c.w/img[0];}else{_101*=',795,'[_fb]/',795,'[4]*',795,'[',1074,']/',795,'[id];}}var w=img[0]*_101;var h=img[1]*_101;var d=-img[2]*_101;var v;var _106=(c.w==null||Math.abs(c.w-w)<0.01)?"":" margin-right:"+',956,'Em(c.w-w)+";";var _107="";C=',770,'.HexCode[C];if(!_fd&&!',839,'scaleImg){if(2*w<h||(',863,'msieAlphaBug&&',839,'alpha)){_107="height',':"+(img[1]*',863,'imgScale',')+"px;";}_107+=" width:"+(img[0]*',863,1120,')+"px;";v=-img[2]+"px";}else{if(2*w<h||(',863,'msieAlphaBug&&',839,1117,':"+',956,'Em(h*',863,1120,')+";";}_107+=" width:"+',956,'Em(w*',863,1120,')+";";v=',956,'Em(d);}var _108=(Math.abs(d)<0.01&&!',863,'valignBug)?"":" ',897,'v+";";var URL=',770,'.URL(_f9,',795,'[id],C);if(',863,'msieAlphaBug&&',839,'alpha){','c.c="<img src=\\""+','jsMath.blank+"\\" "+"',901,863,'msieCenterBugFix+_107+_108+_106','+" filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src="+"\'"+URL+"\', sizingMethod=\'scale\'"+");\\" />";}else{',1154,'URL+"\\" ',901,863,1158,'+"\\" />";}c.tclass="normal";c.img.bh=h+d;c.img.bd=-d;c.img.size=_fb;c.img.best=',1074,';},Space',772,'w){',817,985,'html",',956,'Spacer(w),w,0,0);},Rule',772,904,'var html=',956,'Rule(w,h);',817,985,'html",html,w',',h,0);},GetChar',772,'code,font){var c=',800,'font][code];','if(c.img!=null){this.TeXIMG(font,code',',4);}if(c.tclass',1013,'tclass=font;}if(!c.computedW){c.w',994,989,'c.tclass,c.c)).w',';if(c.h==null){c','.h=jsMath.Box.defaultH;}if(',1011,'c.computedW=1',934,'c;},DelimBestFit',772,'H,c,font,','_114){if(c==0&&font','==0){return null;}','var C;var h;','font=jsMath.TeX.fam[','font];var ','isSS=(_114.charAt(1)=="S");var isS=(_114.charAt(0)=="S");while(c!=null){C=',800,'font][c];','if(C.h==null){C',1196,'C.d==null){C.d=0;}h=C.h+C.d;if(C.delim','){return [c,font',',"",H];}if(isSS&&0.5*h>=H',1214,',"SS",0.5*h];}if(isS&&0.7*h>=H',1214,',"S",0.7*h];}if(h>=H||C.n==null',1214,',"T",h];}c=C.n',934,'null;},DelimExtendRelative',772,1202,'a,_11d){var C=',800,1210,'var top=this.GetChar(C.delim.top?C.delim.top:C.delim.rep,font);var rep=this.GetChar(C.delim.rep,font);var bot=this.GetChar(C.delim.bot?C.delim.bot:C.delim.rep,font);','var ext=',989,'rep.tclass,rep.c);','var w=rep.w;var h=','rep.h+rep.d',';var y;var dx;','if(C.delim.mid){var mid=this.GetChar(C.delim.mid,font);var n=Math.ceil((H-(top.h+top.d)-(mid.h+mid.d',')-(','bot.h+bot.d','))/(2*(',1234,')));H=2*n*(',1234,')+(top.h+top.d)+(','mid.h+mid.d',')+(',1238,');if(_11d){y','=0;}else{','y=H/2+a;}var Y=y;',1177,956,'Place(',989,'top.tclass,top.c),0,','y-top.h)+',956,1252,989,'bot.tclass,bot.c),-(','top.w+bot.w)/2,y-(H-bot.d))+',956,1252,989,'mid.tclass,mid.c','),-(bot.w+mid.w)/2,y-(H+mid.h-mid.d)/2);dx=(w-mid','.w)/2;if(Math.abs(dx)<0.0001){dx=0;}if(dx){html+=jsMath.HTML.Spacer(dx);}y-=top.h+top.d+rep.h;for(var i=0;i<n;i++){html+=jsMath.HTML.Place(ext,-w,y-i*h);}','y-=H/2-rep.h/2;',798,'n;i++){','html+=',956,1252,'ext,-w,y-i*h);}}','else{var n=Math.ceil((H-(top.h+top.d)-(bot.h+bot.d','))/(',1234,'));if(top.h+top.d<0.9*(',1234,')){n=Math.max(1,n);}H=n*(',1234,1243,1238,');if(_11d){y',1248,'y=H/2+a;}var Y=y;',1177,956,1252,989,1254,'y-top.h);dx=(w-top',1266,1270,956,1252,989,1259,'w+bot.w)/2,Y-(H-bot.d));}if(_11d){h=top.h;}else{h=H/2+a;}','var box=new jsMath.Box("html",html,rep.w,h,H-h);box.bh=jsMath.TeX[font].h;box.bd=jsMath.TeX[font].d;return box;},','DelimExtendAbsolute',772,1202,'a,_136){var Font=',800,1207,'C=Font[c];var html;',1229,1236,'-0.05)-(',1238,'-0.05))/(','2*(','rep.h+rep.d-0.05',')));H=2*n*(',1313,1243,1244,'-0.05)+(',1238,'-0.05);html=','jsMath.HTML.PlaceAbsolute(',989,1254,'0);var h=',1313,';var y=top.d-0.05+rep.h;var ext=',989,'font,rep.c);',798,'n;i++){',1270,1321,'ext,0,y+i*h);}',1270,1321,989,1264,'),0,y+n*h-rep.h+mid.h);y+=n*h+',1244,'-0.05;',798,'n;i++){',1270,1321,'ext,0,y+i*h);}',1270,1321,989,'bot.tclass,bot.c),0,y+n*h-rep.h+bot.h);}',1274,1311,1313,'));H=n*(',1313,1243,1238,'-0.05);html=',1321,989,1254,'0);var h=',1313,';var y=top.d-0.05+rep.h;var ext=',989,1232,798,'n;i++){',1270,1321,'ext,0,y+i*h);}',1270,1321,989,1349,'var w=top.w;if(_136){h=top.h;y',1248,'h=H/2+a;y=h-top.h;}html=',956,'Absolute(html,w,','Font.h,"none",-y,top.h);',1299,'Delimiter',772,'H,_14c,_14d,_14e){var size=4;var TeX=',991,'TeX(_14d,size);if(!_14c){',841,'Space(TeX.nulldelimiterspace);}','var ','CFSH=this.DelimBestFit(H,_14c[','2],_14c[1],_14d);if(CFSH==null||CFSH[3]<H){',1390,'4],_14c[3],_14d);}if(CFSH==null){',841,1388,'if(CFSH[2]==""){',841,'DelimExtend(H,','CFSH[0],CFSH[1],','TeX.axis_height',',_14e);}',998,978,'.TeX(',1399,'CFSH[2],size',').Styled();if(_14e){box.y=-',800,'CFSH[1]].dh',1003,'y=-((box.h+box.d)/2-box.d-',1400,');}',832,'box.y)<0.0001){box.y=0;}if(box.y','){box=jsMath.Box.SetList','([box],',1406,');}',1005,'GetCharCode',772,'code){var ',1206,'code[0]];var Font=',800,1207,'c=Font[code[1]];',1188,'[1],4);}if(c.w',1013,'w',994,989,1194,';}if(c.font',1013,'font=font',934,'c;},AddClass',772,'_157,html',',font){if(_157==null){_157=font',934,989,1442,');},LayoutRelative',772,'size,_15b,_15c,_15d,_15e,_15f){if(_15c==null){_15c=[];}if(_15d==null){_15d=[];}if(_15e==null){_15e=[];}var _160=jsMath.sizes[size]/100',';var W=[];var H=[];var D=[];var ','_164=-1000;var bh=_164;var bd=_164',';var i;var j;var row;for(i=0;i<','_15b',813,'if(_15e[i]==null){_15e[i]=0;}row=_15b','[i];H[i]=jsMath.h*','_160',';D[i]=jsMath.d*','_160',';for(j=0;j<','row.length;j++){row[j]=row[j].Remeasured();if(row[j].h>H[i]){H[i]=row[j].h;}if(row[j].d>D[i]){D[i]=row[j].d;}if(j>=W.length){W[j]=row[j].w;}else{if(row[j].w>W[j]){W[j]=row[j].','w;}}if(row[j].bh>bh){bh=row[j].bh;}if(row[j].bd>bd){bd=row[j].bd;}}}if(_15e[_15b','.length]==null){','_15e[_15b.length]=0;}if(bh==_164){bh=0;}if(bd==_164){bd=0;}','var HD=(jsMath.hd-0.01)*','_160;var dy=(_15f||1)*_160/6;','var html="";var ','pW=0;var cW=0;var w;var h;var y;var box;var _173;var _174',';for(j=0;j<W.length;j++){','_173=[];y=-H[0]-_15e[0];pW=0;for(i=0;i<_15b',813,'_174=_15b[i][j];if(_174&&_174.format!="null"){','if(_15c[j]=="','l"){w',1248,1473,'r"){w=W[j]-_174.w;}else{w=(W[j]-_174.w)/2;}}_174.x=w-pW;pW=_174.w+w;_174.y=y;_173[_173.length]=_174;}if(i+1<_15b',1083,'y-=','Math.max(HD,D[i]+H[i+1])+dy+','_15e[i+1];}}if(_15d[j]==null){_15d[j]=_160;}if(_173.length>0',1416,'(_173,"T",size);',1270,956,1252,'box.html,cW,0);cW=W[j]-box.w+_15d[j];}else{cW+=_15d[j];}}w=-_15d[W',1086,'];y=(H',1086,')*dy+_15e[0];for(i=0;i<W',813,'w+=W[i]+_15d[i];}for(i=0;i<H',813,'y+=Math.max(HD,H[i]+D[i])+','_15e','[i+1];}h=y/2+jsMath.TeX.axis_height;var d=y-h;',1270,956,'Spacer(cW-_15d[W',1086,']+_160/6);html=',956,1252,'html,_160/6,h);box=',985,1182,'+_160/3,h,d);box.bh=bh;box.bd=bd;',1005,'LayoutAbsolute',772,'size,_177,_178,_179,_17a,_17b){if(_178==null){_178=[];}if(_179==null){_179=[];}if(_17a==null){_17a=[];}var _17c=jsMath.sizes[size]/100;',1465,'_17c;var dy=(_17b||1)*_17c/6',1450,'w=0;var h;var x;var y',1452,'_177',813,'if(_17a[i]==null){_17a[i]=0;}row=_177',1456,'_17c',1458,'_17c',1460,1461,'w;}}}}if(_17a[_177',1463,'_17a[_177.length]=0;}y=(H',1086,')*dy','+_17a[0];for(i=0;i<','H',813,1495,'_17a',1497,1467,'_18b;w=_17c/6',1469,'y=H[0]-h',1532,'_177',813,'_18b=_177[i][j];if(_18b&&_18b.format!="null"){','if(_178[j]&&_178[j]=="','l"){x',1248,1546,'r"){x=W[j]-_18b.w;}else{x=(W[j]-_18b.w)/2;}}',1270,1321,'_18b.html,w+x,y-Math.max(0,_18b.bh-jsMath.h*_17c));}if(i+1<_177',1083,'y+=',1480,'_17a[i+1];}}if(_179[j]==null){_179[j]=_17c;}w+=W[j]+_179[j];}w=-_179[W',1086,']+_17c/3;for(i=0;i<W',813,'w+=W[i]+_179[i];}html=',956,'Spacer(_17c/6',')+html+',956,1563,');if(',863,'spanHeightVaries){y=h-jsMath.h;}else{y=0;}html=',956,1379,'h+d,d,y,H[0]);',998,985,1182,'+_17c/3,h,d);',1005,'InternalMath',772,'text,size){text=text.replace(/@\\(([^)]*)\\)/g,"<$1>");if(!text.match(/\\$|\\\\\\(/)){',841,'Text(text,"normal","T",size).Styled();}var i=0;var k=0;var c;var _192="";var _193=[];var _194;var html;var box;while(i<text',1083,'c=text.charAt(i++);if(c','=="$"){if(_192=="$"){','_194=jsMath.Parse(text.slice(k,i-','1','),null,size);if(_194.error){_193[_193.length]=this.Text(_194.error,"error","T",size,1,0.2);}else{_194.Atomize();_193[_193.length]=_194.mlist.Typeset("T",size).Styled();}_192="";k=i',';}else{','_193[_193.length]=this.Text(text.slice(k',',i-1','),"normal","T",size,1,0.2);','_192="$";k=i;}}else{if(c=="\\\\"){',1584,'=="("&&_192==""){',1590,',i-2',1592,'_192=")";k=i;}else{if(c==")"&&_192==")"){',1586,'2',1588,';}}}}}',1590,1592,841,'SetList(_193,"T",size);},Set',772,'box',',_198,size',',_19a){if(box&&box.type){','if(box.type=="typeset"){',817,'box;}if(box.type=="mlist"){box.mlist.Atomize(_198,size);',817,'box.mlist.Typeset(_198,size);}if(box.type=="text"){box=this.Text(box.text,',1001,1610,',box.ascend||null,box.descend||null',');if(_19a!=0){box.Styled();}return box;}','box=this.TeX(box.c,box.font',1610,1620,817,978,'.Null;},SetList',772,'_19b,_19c,size){var _19e=[];var box;',798,'_19b',813,'box=_19b[i];',1612,'box=','jsMath.mItem','.Typeset(box);}_19e[_19e.length]=box;}var _1a1=new jsMath.Typeset(_19e);',817,'_1a1.Typeset(_19c,size);}});','jsMath.Package(jsMath.','Box,{Styled',790,'if(this.format=="text"){',981,989,'this.tclass',',this.html);',981,991,992,'this.style,this.size',1646,'delete this.','tclass;',1652,'style;this.format="html";}',817,'this;},Remeasured',790,'if(this.w>0){this.w',994,'this.html).w',934,'this;}});',1635,979,'type,def){this.type=type;jsMath.Add(this,def);};',788,'mItem,{Atom',772,'type,_1a5','){return new jsMath.mItem','(type,{atom:1,nuc',':_1a5});},TextAtom',772,'type,text,_1a8,a,d){var atom=new ',1635,1672,':{type:"text",text:text,tclass:_1a8}});if(a','!=null){atom.nuc.','ascend=a;}if(d',1679,'descend=d',934,'atom;},TeXAtom',772,'type,c,font',1671,1672,':{type:"TeX",c:c,font:font}});},Fraction',772,'name,num,den,_1b2,left,_1b4',1671,'("fraction",{from:name,num:num,den:den,thickness:_1b2,left:left,right:_1b4});},Space',772,'w',1671,'("space",{w:w});},Typeset',772,'box',1671,'("ord",{atom:1,nuc:box});},HTML',772,'html',1671,'("html",{html:html});}});jsMath.mList',979,'list,font,size,_1bb){if(list){this.mlist=list;}else{this.mlist=[];}if(_1bb==null){_1bb="T";}if(size==null){size=4;}this.data={openI:null,overI:null,overF:null,font:font,','size:size,style:_1bb','};this.init={',1708,'};};',1639,'mList,{Add',772,'box){return (this.mlist[','this.mlist.length',']=box);},Get',772,'i){',841,'mlist[i];},Length',790,841,'mlist.length;},Last',790,'if(',1716,1204,841,'mlist[',1716,'-1];},Range',772,'i,j){if(j==null){j=',1716,934,'new jsMath.mList(this.mlist.slice(i,j+1));},Delete',772,1734,'i;}if(','this.mlist.splice','){',1741,'(i,j-i+1);}else{var _1c2=[];for(var k=0;k<',1716,';k++){if(k<i||k>j){_1c2[_1c2.length]=this.mlist[k];}}this.mlist=_1c2;}},Open',772,'left){',998,'this.Add(new ',1635,'("boundary",{data:this.data}));var _1c6=this.data;this.data={};for(var i in _1c6){this.data[i]=_1c6[i];}',1652,'data.overI;',1652,'data'],
  ['.overF;','this.','data.openI','=','this.mlist','.length','-1;if(left!=null','){box','.left=left;}','return ','box;},','Close',':function(','_1c8){if(_1c8!=null){_1c8=new ','jsMath.mItem','("boundary",{right:_1c8});}var atom;var open=',1,2,';','var over=this.data.overI;var from=this.data.overF;',1,'data=',4,'[open].data;if(over){','atom=jsMath.mItem.Fraction(from.name,{type:"mlist",mlist:this.Range(open+1,over-1)},{type:"mlist",mlist:this.Range(over)},from.thickness,from.left,from.right);','if(_1c8){','var _1cd','=new jsMath.','mList([',4,'[open],atom,_1c8]);atom=',14,'.Atom("inner','",{type:"mlist",mlist:','_1cd});}}else{var _1ce=open+1;',25,1,'Add(_1c8);_1ce--;}atom=',14,'.Atom((_1c8)?"inner":"ord',33,1,'Range(_1ce)});}',1,'Delete(open,',1,'Length());',9,1,'Add(atom);},Over',':function(){',19,'var ',24,4,'=[atom];},Atomize',12,'_1d2',',size){var ','_1d4;var prev="";','this.style','=_1d2;',1,'size=size;','for(var i=0;i<',4,5,';i++){','_1d4=',4,'[i];_1d4.delta=0;if(_1d4.type=="choice"){',4,'=',1,'Atomize.choice(',60,',_1d4,i,',4,');i--;}','else{if(',1,'Atomize[_1d4.type',']){var f=',1,81,'];f(',60,',',1,'size,_1d4,prev,this,i);}}prev=_1d4;}if(_1d4&&_1d4','.type=="bin"){','_1d4','.type="ord";}','if(',4,5,'>=2&&_1d4.','type=="boundary','"&&',4,'[0].',97,'"){',1,'AddDelimiters','(_1d2,size);}},',104,12,'_1d8',58,'_1da=-10000;var h=_1da;var d=_1da;for(var i=0;i<',4,5,67,'var _1de=',4,'[i];if(_1de.atom||_1de.type=="box"){h','=Math.max(','h,_1de.nuc.h+_1de.nuc.y);d',117,'d,_1de.nuc.d-_1de.nuc.y);}}var TeX','=jsMath.TeX',';var a=','jsMath.Typeset.','TeX(_1d8,size).axis_height;var _1e1',117,'h-a,d+a);var H',117,'Math.floor(','TeX.integer','*_1e1/500)*TeX.delimiterfactor,',129,'*(2*_1e1-TeX.delimitershortfall))/',129,';var left=',4,'[0];var _1e4=',4,'[',4,5,'-1];left.nuc','=jsMath.Box.','Delimiter(H,','left.left',',_1d8);_1e4.nuc',142,143,'_1e4.right',',_1d8);left.type="open";left','.atom=1;delete ',144,';_1e4.type="close";_1e4',150,148,';},','Typeset',12,'_1e5',58,'_1e7',27,156,'(',4,');',9,'_1e7.',156,'(_1e5,size);}});','jsMath.Add(jsMath.','mList.prototype.Atomize,{style',12,'_1e8,size,_1ea,prev,_1ec){_1ec.style=_1ea.style;},size',12,'_1ed,size,_1ef,prev,_1f1){_1f1.size=_1ef.size;},phantom',12,'_1f2,size,_1f4){','var box','=_1f4.nuc',142,'Set(','_1f4.phantom',',_1f2',',size);','if(_1f4.h',7,'.Remeasured();','box.html','=','jsMath.HTML.','Spacer(','box.w);}else{',188,'="",box.w=0;}if(!_1f4.v){','box.h=box.d=','0;}','box.bd=box.bh=0;delete ',182,';_1f4.type="box";},smash',12,'_1f6,size,_1f8){',178,'=_1f8.nuc',142,181,'_1f8.smash',',_1f6,','size).Remeasured();',195,197,206,';_1f8.type="box";},raise',12,'_1fa,size,_1fc){_1fc.nuc',142,181,'_1fc.nuc,_1fa',',size);var ','y=_1fc.raise;_1fc.nuc.html=',190,'Place(_1fc.nuc.html,0,y);_1fc.nuc.h+=y;_1fc.nuc.d-=y;_1fc','.type="ord";','_1fc.atom=1;},lap',12,'_1fe,size,_200){',178,142,181,'_200.nuc,_1fe,',208,'var _202=[box];','if(_200.lap=="','llap"){','box.x=-box.w',';}else{',232,'rlap"){_202[1]=',14,'.Space(-',192,232,'ulap"){box.y=box.d;',195,'0',235,232,'dlap"){box.y=-box.h;',195,'0;}}}}_200.nuc',142,'SetList(','_202,_1fe',184,232,'ulap"||_200.lap=="dlap"){_200.nuc.h=_200.nuc.d=0;}_200.type="box";delete _200.atom;},bin',12,'_203,size,_205',',prev){if(prev','&&prev.type){var type=prev.type;if(type=="bin"||type=="op"||type=="rel"||type=="open"||type=="punct"||type==""||(',97,'"&&prev.left!="")){_205.type="ord";}}else{_205',92,'jsMath.mList.prototype.Atomize.SupSub(',257,');},rel',12,'_208,size,_20a',258,'.type&&prev',90,'prev',92,263,267,');},close',12,'_20c,size,_20e',258,'.type&&prev',90,'prev',92,263,277,');},punct',12,'_210,size,_212',258,'.type&&prev',90,'prev',92,263,287,');},open',12,'_214,size,_216','){',263,297,');},inner',12,'_217,size,_219','){',263,303,');},','vcenter',12,'_21a,size,_21c','){',178,142,181,'_21c.nuc,_21a',218,'TeX=',123,'TeX(_21a',184,'box.y=','TeX.axis_height','-(box.h-box.d)/2;_21c.nuc=box;_21c',222,263,310,');},','overline',12,'_21f,size,_221','){var TeX=',123,'TeX(_21f',218,'box',142,181,'_221.nuc',',',123,'PrimeStyle','(_21f),',208,'var t=','TeX.default_rule_thickness',';var rule',142,'Rule(box.w,t);rule.x=-rule.w;rule.y','=box.h+3*t;',338,142,'SetList([box,','rule],_21f',184,338,'.h+=t;_221',222,263,330,');},','underline',12,'_226,size,_228','){var TeX=',123,'TeX(_226',218,'box',142,181,'_228.nuc',',',123,341,'(_226),',208,344,345,';var rule',142,348,'=-box.d-3*t-t;',371,142,352,'rule],_226',184,371,'.d+=t;_228',222,263,363,');},radical',12,'_22d,size,_22f','){var TeX=',123,'TeX(_22d',218,'Cp=',123,341,'(_22d);',178,142,181,'_22f.nuc,Cp,',208,344,345,';var p=t;if(_22d=="D"||_22d=="D\'"){p=TeX.x_height;}var r=t+p/4;var surd',142,'Delimiter(','box.h+box.d','+r+t,[0,2,112,3,112],_22d,1);if(surd.d>',414,'+r){r=(r+surd.d-box.h-box.d)/2;}surd.y=box.h+r;var rule',142,'Rule(box.w,t);rule.y=surd.y-t/2;rule.h+=3*t/2;',234,';var Cr=',123,'UpStyle(',123,423,'_22d));var root',142,181,'_22f.root||null,Cr,',208,'if(_22f.root){root.y=0.55*(',414,'+3*t+r)-box.d;surd.x',117,'root.w-(11/18)*surd.w,0);rule.x=(7/18)*surd.w;root.x=-(root.w+rule.x);}_22f.nuc',142,'SetList([','surd,root,rule,box],_22d',184,'_22f',222,263,395,');},accent',12,'_23a,size',',_23c){var TeX=',123,'TeX(_23a',218,'Cp=',123,341,'(_23a);',178,142,181,'_23c.nuc',',Cp',218,'u=box.w;var s;var Font;if(_23c.','nuc.type=="TeX','"){Font',121,'[',458,'.font];if(','Font[_23c.nuc.c].krn','&&Font.skewchar){s=',468,'[Font.skewchar];}}if(s==null){s=0;}var c=_23c.accent[2];var font',121,'.fam[_23c.accent[1]];Font',121,'[font];while(Font[c].n&&Font[Font[c].n].w<=u){c=Font[c].n;}var _245=Math.min(box.h,TeX.','x_height);','if(_23c.',462,'"){var _246=',14,'.Atom("ord",',458,');_246.sup=_23c.sup;_246.sub=_23c.sub;_246.delta=0;',263,446,',_246);_245+=(_246.nuc.h-box.h);box=',458,'=_246.nuc;delete _23c.sup;delete _23c.sub;}var acc',142,'TeX(c,font,',446,');acc.y=box.h-_245;acc.x=-box.w+s+(u-acc.w)/2;if(Font[c].ic){acc.x-=Font[c].ic*TeX.scale;}',458,142,352,'acc],',446,');if(',458,'.w!=box.w){var _248=',14,'.Space(','box.w-',458,'.w);',458,142,437,458,',_248],',446,');}_23c',222,263,446,',_23c);},op',12,'_249,size,_24b','){var TeX=',123,'TeX(_249',218,'box;','_24b.delta','=0;var isD=(_249','.charAt(0)=="','D");if','(_24b.limits','==null&&isD){_24b.limits=1;}if(_24b.',462,'"){var C',121,'[_24b.nuc.font][','_24b.nuc','.c];if(isD&&C.n){',534,'.c=C.n;C',121,533,'C.n];}box',142,'Set(_24b.nuc,_249,size',');if(C.ic){_24b','.delta=C.ic*TeX.scale;if',528,'||!_24b.sub||','jsMath.Browser.msieIntegralBug',7,142,352,14,502,524,')],','_249,size);}}','box.y=-((',414,')/2-box.d-',322,');if(Math.abs(box.y)<0.0001',7,'.y=0;}}if(!box',7,142,542,').Remeasured();}if',528,'){var W=box.w;var x=box.w;var _252=[box];var dh=0;var dd=0;if(_24b.sup){var sup',142,181,'_24b.sup,',123,423,'_249),',208,'sup.x=((box.w-sup.w)/2+',524,'/2)-x;dh=TeX.big_op_spacing5;W',117,'W,sup.w);x+=sup.x+sup.w;sup.y=box.h+sup.d+box.y+Math.max(TeX.big_op_spacing1,TeX.big_op_spacing3-sup.d);_252[_252',5,']=sup;delete _24b.sup;}if(_24b.sub){var sub',142,181,'_24b.sub,',123,'DownStyle','(_249),',208,'sub.x=((box.w-sub.w)/2-',524,'/2)-x;dd=TeX.big_op_spacing5;W',117,'W,sub.w);x+=sub.x+sub.w;sub.y=-box.d-sub.h+box.y-Math.max(TeX.big_op_spacing2,TeX.big_op_spacing4-sub.h);_252[_252',5,']=sub;delete _24b.sub;}if(W>box.w',7,'.x=(W-box.w)/2;x+=box.x;}if(x<W){_252[_252',5,']=',14,502,'W-x);}',534,142,251,'_252,_249',184,534,'.h+=dh;',534,'.d+=dd;}',79,547,'&&_24b.sub&&C&&C.ic){',534,142,352,'jsMath.Box.','Space(-C.ic*TeX.scale)],_249,size);}',79,'box.y){',534,142,437,'box],',555,263,518,');}},ord',12,'_257,size,_259',',prev,_25b,i){if(_259.',462,'"&&!_259.sup&&!_259.sub){var _25d=','_25b.mlist','[i+1];if(_25d&&_25d.atom&&_25d.type&&(_25d.type=="ord','"||_25d.type=="','op',638,'bin',638,'rel',638,'open',638,'close',638,'punct")){if(_25d.',462,'"&&_25d.nuc.font==_259.nuc.font){_259.textsymbol=1;var krn',121,'[_259.nuc.font][_259.nuc.c].krn;krn*=',123,'TeX(_257,size).scale;if(krn&&','krn[_25d.nuc.c',']){for(var k=',636,5,'-1;k>i;k--){',636,'[k+1]=',636,'[k];}',636,'[i+1]=',14,502,656,']);}}}}',263,632,');},fraction',12,'_260,size,_262','){var TeX=',123,'TeX(_260',218,'t=0;if(_262.thickness!=null){t=_262.thickness;}',79,'_262.from.match(/over/)){t=',345,';}}var isD=(_260',526,'D");var Cn=(_260=="D")?"T":(_260=="D\'")?"T\'":',123,423,'_260);var Cd=(isD)?"T\'":',123,587,'(_260);var num',142,181,'_262.num,Cn,',208,'var den',142,181,'_262.den,Cd,',208,'var u;var v;var w;var H=(isD)?TeX.delim1:TeX.delim2;var _26e=[',619,143,'_262.left,_260)];var _26f',142,143,'_262.right,_260);if(num.w<den.w){num.x=(den.w-num.w)/2;den.x=-(num.w+num.x);w=den.w;_26e[1]=num;_26e[2]=den',235,'den.x=(num.w-den.w)/2;num.x=-(den.w+den.x);w=num.w;_26e[1]=den;_26e[2]=num;}if(isD){u=TeX.num1;v=TeX.denom1',235,'u=(t!=0)?TeX.num2:TeX.num3;v=TeX.denom2;}if(t==0){var p=(isD)?7*',345,':3*',345,';var r=(u-num.d)-(','den.h-v);if(r<p){','u+=(p-r)/2;v+=(p-r)/2;}}else{var p=(isD)?3*t:t',122,322,716,'a+t/2);if(r<p){u+=p-r;}r=(a-t/2)-(',717,'v+=p-r;}var rule',142,'Rule(w,t);rule.x=-w;rule.y=a-t/2;_26e[_26e',5,']=rule;}num.y=u;den.y=-v;_26e[_26e',5,']=_26f;_262.nuc',142,251,'_26e,_260',184,'_262',222,'_262',150,'_262.num;delete _262.den;',263,675,');},SupSub',12,'_276,size,_278){var TeX=',123,'TeX(_276',218,'nuc=','_278.nuc',';',178,'=',749,142,181,749,',_276,size,0);if(box.format=="null"){box=',749,142,'Text("","normal",','_276,size);}','if(',462,'"){if(!_278.textsymbol){var C',121,'[nuc.font][nuc.c];if(C.ic){_278',544,'(!_278.sub){','box=',749,142,352,619,'Space(','_278.delta',')],_276',184,775,'=0;}}}else{',775,'=0;}}if(!_278.sup&&!_278.sub){return;}',749,'.Styled();var Cd=',123,587,'(_276);var Cu=',123,423,'_276);var q=',123,'TeX(Cu,size).','sup_drop;var r=',123,'TeX(Cd,size).','sub_drop;var u=0;var v=0;var p;if(nuc.type&&nuc.type!="text"&&nuc.type!="TeX"&&nuc.type!="null"){u=box.h-q;v=box.d+r;}if(_278.sub){var sub',142,181,'_278.sub,Cd',184,'sub',142,437,'sub,',14,'.Space(TeX.scriptspace)],_276,size',');}if(!_278.sup){sub.y=-Math.max(v,TeX.sub1,sub.h-(4/5)*',123,794,476,749,142,352,'sub],_276,size).Styled();','delete _278.','sub;return;}var sup',142,181,'_278.sup,Cu',184,'sup',142,437,'sup,',14,805,');if(_276=="D"){p=TeX.sup1;}',79,'_276','.charAt(','_276',5,'-1)=="\'"){','p=TeX.sup3',235,'p=TeX.sup2;}}u',117,'u,p,sup.d+',123,791,'x_height/4);if',768,'sup.y=u;',749,142,352,'sup],_276',184,814,'sup;return;}v',117,'v,',123,794,'sub2);',344,345,';if((u-sup.d)-(sub.h-v)<4*t){v=4*t+sub.h-(u-sup.d);p=(4/5)*TeX.x_height-(u-sup.d);if(p>0){u+=p;v-=p;}}sup',187,'sub',187,842,'sub.y=-v;sup.x=',775,';if(sup.w+sup.x>sub.w){sup.x-=sub.w;',749,142,352,'sub,sup],',761,'else{sub.x-=(sup.w+sup.x);',749,142,352,'sup,sub],',761,814,'sup;',814,'sub',';}});jsMath.',156,'=function(_287){',1,'type="typeset";',4,'=_287;};',170,156,',{upStyle:{D:"S",T:"S","','D\'":"S\'","T\'":"S\'",S:"SS','",SS:"SS","','S\'":"SS\'","SS\'":"SS\'"},','downStyle',':{D:"S\'",T:"S\'","',890,'\'",SS:"SS\'","',892,'UpStyle',12,'_288){',9,1,'upStyle[_288];},',587,12,'_289){',9,1,893,'[_289];},',341,12,'_28a){if(_28a',829,'_28a',5,832,9,'_28a;}',9,'_28a+"\'";},StyleValue',12,'_28b,v){if(_28b=="S"||_28b=="S\'"){',9,'0.7*v;}if(_28b=="SS"||_28b=="SS\'"){',9,'0.5*v;}',9,'v;},StyleSize',12,'_28d,size){if(_28d=="S"||_28d=="S','\'"){size=Math.max(0,size-','2);}',79,'_28d=="SS','"||',935,932,'4);}}',9,'size;},TeX',12,'_28f,size){if(_28f=="S"||_28f=="S',932,'2);}',79,'_28f=="SS','"||',947,932,939,9,'jsMath.TeXparams[size];},AddStyle',12,'_291,size,html){if(_291=="S"||_291=="S',932,'2);}',79,'_291=="SS','"||',959,932,939,'if(size!=4){html="<span class=\\"size"+size+"\\">"+','html+"</span>";}',9,'html;},AddClass',12,'_294,html){if(_294!=""&&_294!="normal"){html=',190,'Class(_294,html);}',9,'html;}});','jsMath.Package(jsMath.',156,',{DTsep:{ord',':{op:1,bin:2,rel:3,inner:1},','op',':{ord:1,op:1',',rel:3,inner:1},bin:{ord:2,op:2,open:2,inner:2},rel:{ord:3,op:3,open:3,inner:3},open:{},close',977,'punct',979,',rel:1,open:1,close',':1,punct:1,inner:1','},inner',979,',bin:2,rel:3,open',985,'}},SSsep:{ord:{op:1},op',979,'},bin:{},rel:{},open:{},close:{op:1},punct:{},inner:{op:1}},sepW:["","thinmuskip","medmuskip","thickmuskip"],','GetSeparation',12,'l,r,_298){if(l&&l.atom&&r.atom){var _299=',1,'DTsep;if(_298',526,'S"){_299=',1,'SSsep;}var row=_299[l.type];if(row&&row[r.type]!=null){',9,'jsMath.TeX[',1,'sepW[row[r.type]]];}}',9,'0;},',156,12,'_29b,size){',60,'=_29b;',1,63,'var _29d=-10000;',1,'w=0;',1,'h=_29d;',1,'d=_29d;',1,'bh=',1,'h;',1,'bd=',1,'d;',1,'tbuf="";',1,'tx=0;',1,'tclass','="";',1,'cbuf="";',1,'hbuf="";',1,'hx=0;var _29e=null;var prev;',1,'x=0;',1,'dx=0;for(var i=0;i<',4,5,67,'prev=_29e;_29e=',4,'[i];switch(_29e.type){case "size":','this.FlushClassed();',1,'size=_29e.size;','_29e=prev;break;case "','style":',1053,'if(',60,829,60,5,832,60,'=_29e.style','+"\'";}else{',60,1066,';}',1056,'space":if(typeof (_29e.w)=="object"){if(',60,829,'1)=="','S"){_29e.w=0.','5*','_29e.w[0]/18',';}',79,60,526,1076,'7*',1078,235,'_29e.w=',1078,';}}}',1,'dx+=_29e.w-0;',1056,'html":',1053,'if(this.hbuf==""){this.hx=this.','x;}',1,'hbuf+=','_29e.html;_29e=prev;break;default:if(!_29e.atom&&_29e.type!="box"){break;}','_29e.nuc.','x+=',1,'dx+',1,993,'(prev,_29e,',60,');if(',1100,'y||',1100,'x){',1100,'Styled();}',1,'dx=0;',1,'x=',1,'x+',1,'w;',1,'w+=',1100,'w+',1100,'x;if(',1100,'format=="text"){if(',1,1035,'!=',1100,1035,'&&',1,1035,'!=""){',1,'FlushText','();}if(',1,'tbuf==""&&',1,'cbuf==""){',1,'tx=',1,'x;}',1,'tbuf+=',1100,'html;',1,1035,'=',1100,1035,235,1053,'if(',1100,'x||',1100,'y){',1,'Place(_29e.nuc);}',1095,'x;}',1,1098,1100,'html;}',1,'h',117,1,'h,',1100,'h+',1100,'y);',1,'bh',117,1,'bh,',1100,'bh);',1,'d',117,1,'d,',1100,'d-',1100,'y);',1,'bd',117,1,'bd,',1100,'bd);break;}}',1053,'if(',1,'dx){',1,1098,190,191,1,'dx);',1,'w+=',1,'dx;}if(',1,'hbuf==""){',9,619,'Null;}if(',1,'h==_29d){',1,'h=0;}if(',1,'d==_29d){',1,'d=0;}',178,27,'Box("html",',1,'hbuf,',1,'w,',1,'h,',1,'d);box.bh=',1,'bh;box.bd=',1,'bd;',9,10,1141,50,'if(',1,'tbuf','==""){return;}',1,'cbuf+=',123,'AddClass(',1,1035,',',1,'tbuf);',1,'tbuf="";',1,1035,'="";},FlushClassed',50,1,1141,'();if(',1,'cbuf',1256,1095,'tx;}',1,1098,123,'AddStyle(',60,',',1,'size,',1,'cbuf);',1,'cbuf="";},Place',12,'item){var ','html="<span style=\\"position: relative',';";if(item.x){html+=" margin-left:"+',190,'Em(item.x)+";";}if(item.y){html+=" top:"+',190,'Em(-item.y',')+";";}item.html=html+"\\">"+item.html+"</span>";','item.h+=item.y;item.d-=item.y;item.x=0;item.y=0',';},PlaceSeparateSkips',12,'item){if(item.y){item.',1294,'; "+"top:"+',190,1299,')+";"+"\\">"+item.',965,'if(item.x){item.html=',190,191,'item.x)+item.',1174,1301,880,'Parse','=function(s,font,size,','_2a8){var _2a9',27,'Parser(s,font,size,_2a8);_2a9.Parse();',9,'_2a9;};jsMath.Parser',1319,'_2ad){',1,'string=s;',1,'i=0;',4,27,'mList(null,font,size,_2ad);};',974,'Parser,{cmd:"\\\\",open:"{",close:"}",letter:/[a-z]/i,number:/[0-9]/,scriptargs:/^((math|text)..|mathcal|[hm]box)$/,mathchar:{"!":[5,0,33],"(":[4,0,40],")":[5,0,41],"*":[2,2,3],"+":[2,0,43],",":[6,1,59],"-":[2,2,0],".":[0,1,58],"/":[0,1,61],":":[3,0,58],";":[6,0,59],"<":[3,1,60],"=":[3,0,61],">":[3,1,62],"?":[5,0,63],"[":[4,0,91],"]":[5,0,93],"|":[0,2,106]},special:{"~":"Tilde","^":"HandleSuperscript","_":"HandleSubscript"," ":"Space","\\x01','":"Space","\\','t',1336,'r',1336,'n":"Space","\'":"Prime","%":"HandleComment","&":"HandleEntry"},mathchardef:{braceld:[0,3,122],bracerd:[0,3,123],bracelu:[0,3,124],braceru:[0,3,125],alpha:[0,1,11],beta:[0,1,12],gamma:[0,1,13],delta:[0,1,14],epsilon:[0,1,15],zeta:[0,1,16],eta:[0,1,17],theta:[0,1,18],iota:[0,1,19],kappa:[0,1,20],lambda:[0,1,21],mu:[0,1,22],nu:[0,1,23],xi:[0,1,24],pi:[0,1,25],rho:[0,1,26],sigma:[0,1,27],tau:[0,1,28],upsilon:[0,1,29],phi:[0,1,30],chi:[0,1,31],psi:[0,1,32],omega:[0,1,33],varepsilon:[0,1,34],vartheta:[0,1,35],varpi:[0,1,36],varrho:[0,1,37],varsigma:[0,1,38],varphi:[0,1,39],Gamma:[7,0,0],Delta:[7,0,1],Theta:[7,0,2],Lambda:[7,0,3],Xi:[7,0,4],Pi:[7,0,5],Sigma:[7,0,6],Upsilon:[7,0,7],Phi:[7,0,8],Psi:[7,0,9],Omega:[7,0,10],aleph:[0,2,64],imath:[0,1,123],jmath:[0,1,124],ell:[0,1,96],wp:[0,1,125],Re:[0,2,60],Im:[0,2,61],partial:[0,1,64],infty:[0,2,49],prime:[0,2,48],emptyset:[0,2,59],nabla:[0,2,114],surd:[1,2,112],top:[0,2,62],bot:[0,2,63],triangle:[0,2,52],forall:[0,2,56],exists:[0,2,57],neg:[0,2,58],lnot:[0,2,58],flat:[0,1,91],natural:[0,1,92],sharp:[0,1,93],clubsuit:[0,2,124],diamondsuit:[0,2,125],heartsuit:[0,2,126],spadesuit:[0,2,127],coprod:[1,3,96],bigvee:[1,3,87],bigwedge:[1,3,86],biguplus:[1,3,85],bigcap:[1,3,84],bigcup:[1,3,83],intop:[1,3,82],prod:[1,3,81],sum:[1,3,80],bigotimes:[1,3,78],bigoplus:[1,3,76],bigodot:[1,3,74],ointop:[1,3,72],bigsqcup:[1,3,70],smallint:[1,2,115],triangleleft:[2,1,47],','triangleright',':[2,1,46],bigtriangleup:[2,2,52],bigtriangledown:[2,2,53],wedge:[2,2,94],land:[2,2,94],vee:[2,2,95],lor:[2,2,95],cap:[2,2,92],cup:[2,2,91],ddagger:[2,2,122],dagger:[2,2,121],sqcap:[2,2,117],sqcup:[2,2,116],uplus:[2,2,93],amalg:[2,2,113],diamond:[2,2,5],bullet:[2,2,15],wr:[2,2,111],div:[2,2,4],odot:[2,2,12],oslash:[2,2,11],otimes:[2,2,10],ominus:[2,2,9],oplus:[2,2,8],mp:[2,2,7],pm:[2,2,6],circ:[2,2,14],bigcirc:[2,2,13],setminus:[2,2,110],cdot:[2,2,1],ast:[2,2,3],times:[2,2,2],star:[2,1,63],propto:[3,2,47],sqsubseteq:[3,2,118],sqsupseteq:[3,2,119],parallel:[3,2,107],mid:[3,2,106],dashv:[3,2,97],vdash:[3,2,96],leq:[3,2,20],le:[3,2,20],geq:[3,2,21],ge:[3,2,21],succ:[3,2,31],prec:[3,2,30],approx:[3,2,25],succeq:[3,2,23],preceq:[3,2,22],supset:[3,2,27],subset:[3,2,26],supseteq:[3,2,19],subseteq:[3,2,18],"in":[3,2,50],ni:[3,2,51],owns:[3,2,51],gg:[3,2,29],ll:[3,2,28],not:[3,2,54],sim:[3,2,24],simeq:[3,2,39],perp:[3,2,63],equiv:[3,2,17],asymp:[3,2,16],smile:[3,1,94],frown:[3,1,95],Leftrightarrow:[3,2,44],Leftarrow:[3,2,40],Rightarrow:[3,2,41],leftrightarrow:[3,2,36],','leftarrow',':[3,2,32],gets:[3,2,32],rightarrow:[3,2,33],to:[3,2,33],mapstochar:[3,2,55],leftharpoonup:[3,1,40],','leftharpoondown',':[3,1,41],rightharpoonup:[3,1,42],rightharpoondown:[3,1,43],nearrow:[3,2,37],searrow:[3,2,38],nwarrow:[3,2,45],swarrow:[3,2,46],','minuschar',':[3,2,0],hbarchar:[0,0,22],lhook:[3,1,44],rhook:[3,1,45],ldotp:[6,1,58],cdotp:[6,2,1],colon:[6,0,58],"#":[7,0,35],"$":[7,0,36],"%":[7,0,37],"&":[7,0,38]},delimiter:{"(":[0,0,40,3,0],")":[0,0,41,3,1],"[":[0,0,91,3,2],"]":[0,0,93,3,3],"<":[0,2,104,3,10],">":[0,2,105,3,11],"/":[0,0,47,3,14],"|":[0,2,106,3,12],".":[0,0,0,0,0],"\\\\":[','0,2,110,3,15],"\\\\','lmoustache":[4,3,122,3,64],"\\\\rmoustache":[5,3,123,3,65],"\\\\lgroup":[4,6,40,3,58],"\\\\rgroup":[5,6,41,3,59],"\\\\arrowvert','":[0,2,106,3,','60],"\\\\Arrowvert":[0,2,107,3,61],"\\\\bracevert',1352,'62],"\\\\Vert":[0,2,107,3,13],"\\\\|":[0,2,107,3,13],"\\\\vert',1352,'12],"\\\\uparrow":[3,2,34,3,120],"\\\\downarrow":[3,2,35,3,121],"\\\\updownarrow":[3,2,108,3,63],"\\\\Uparrow":[3,2,42,3,126],"\\\\Downarrow":[3,2,43,3,127],"\\\\Updownarrow":[3,2,109,3,119],"\\\\backslash":[',1350,'rangle":[5,2,105,3,11],"\\\\langle":[4,2,104,3,10],"\\\\rbrace":[5,2,103,3,9],"\\\\lbrace":[4,2,102,3,8],"\\\\}":[5,2,103,3,9],"\\\\{":[4,2,102,3,8],"\\\\rceil":[5,2,101,3,7],"\\\\lceil":[4,2,100,3,6],"\\\\rfloor":[5,2,99,3,5],"\\\\lfloor":[4,2,98,3,4],"\\\\lbrack":[0,0,91,3,2],"\\\\rbrack":[0,0,93,3,3]},macros:{displaystyle',':["HandleStyle","','D"],textstyle',1360,'T"],scriptstyle',1360,'S"],scriptscriptstyle',1360,'SS"],rm',':["HandleFont",','0],mit',1368,'1],oldstyle',1368,'1],cal',1368,'2],it',1368,'4],bf',1368,'6],font',':["Extension","','font"],left:"HandleLeft",right:"HandleRight",arcsin',':["NamedOp",0],','arccos',1382,'arctan',1382,'arg',1382,'cos',1382,'cosh',1382,'cot',1382,'coth',1382,'csc',1382,'deg',1382,'det',':"NamedOp",','dim',1382,'exp',1382,'gcd',1402,'hom',1382,'inf',1402,'ker',1382,'lg',1382,'lim',1402,'liminf',':["NamedOp",null,"lim<span style=\\"margin-left: "+1/6+"em\\"></span>','inf"],limsup',1420,'sup"],ln',1382,'log',1382,'max',1402,'min',1402,'Pr',1402,'sec',1382,'sin',1382,'sinh',1382,'sup',1402,'tan',1382,'tanh',1382,308,':["HandleAtom","',308,'"],',328,1446,328,'"],',361,1446,361,'"],over',':"HandleOver",','overwithdelims',1457,'atop',1457,'atopwithdelims',1457,'above',1457,'abovewithdelims',1457,'brace',':["HandleOver','","\\\\{","\\\\}"],brack',1469,'","[","]"],choose',1469,'","(",")"],overbrace',1380,'leaders"],','underbrace',1380,1476,'overrightarrow',1380,1476,'overleftarrow',1380,1476,'overset',1380,'underset-overset"],','underset',1380,1488,'llap',':"HandleLap",','rlap',1493,'ulap',1493,'dlap',1493,'raise:"RaiseLower",lower:"RaiseLower",moveleft',':"MoveLeftRight",','moveright',1501,'frac:"Frac",root:"Root",sqrt:"Sqrt",hbar',':["Macro","\\\\','hbarchar\\\\kern-.5em h"],ne',1505,'not="],neq',1505,'not="],notin',1505,'mathrel{\\\\','rlap{\\\\kern2mu/}}\\\\in"],cong',1505,1512,'lower2mu{\\\\','mathrel','{{\\\\rlap{=}\\\\raise6mu\\\\sim}}}}"],bmod',1505,'mathbin{\\\\rm mod}"],pmod',1505,'kern 18mu ({\\\\rm mod}\\\\,\\\\,#1)",1],"int":["Macro","\\\\intop\\\\nolimits"],oint',1505,'ointop\\\\nolimits"],doteq',1505,'buildrel\\\\textstyle.\\\\over="],ldots',1505,'mathinner{\\\\','ldotp\\\\ldotp\\\\ldotp}"],cdots',1505,1528,'cdotp\\\\cdotp\\\\cdotp}"],vdots',1505,1528,'rlap{\\\\raise8pt{.\\\\rule 0pt 6pt 0pt}}\\\\rlap{\\\\raise4pt{.}}.}"],ddots',1505,1528,'kern1mu\\\\raise7pt{\\\\rule 0pt 7pt 0pt .}\\\\kern2mu\\\\raise4pt{.}\\\\kern2mu\\\\raise1pt{.}\\\\kern1mu}"],joinrel',1505,1512,'kern-4mu}"],','relbar',1505,1512,'smash-}"],','Relbar',1505,1517,'="],bowtie',1505,1517,'\\\\',1342,'\\\\joinrel\\\\',1517,'\\\\triangleleft"],models',1505,1517,'|\\\\joinrel="],mapsto',1505,1512,'mapstochar\\\\','rightarrow}"],rightleftharpoons',1505,308,'{\\\\',1512,'rlap{\\\\raise3mu{\\\\rightharpoonup}}}\\\\',1346,'}"],hookrightarrow',1505,'lhook','\\\\joinrel\\\\rightarrow','"],hookleftarrow',1505,'leftarrow\\\\joinrel\\\\','rhook"],Longrightarrow',1505,1546,1554,'Rightarrow"],','longrightarrow',1505,1542,1573,'"],longleftarrow',1505,1576,1542,'"],Longleftarrow',1505,'Leftarrow\\\\joinrel\\\\',1546,'"],longmapsto',1505,1512,1562,1348,1573,'}"],longleftrightarrow',1505,1344,1573,'"],','Longleftrightarrow',1505,1592,1581,'iff:["Macro","\\\\;\\\\',1605,'\\\\;"],mathcal',':["Macro","{\\\\','cal #1}",1],mathrm',1612,'rm #1}",1],mathbf',1612,'bf #1}",1],','mathbb',1612,1617,'mathit',1612,'it #1}",1],textrm',1505,'mathord{\\\\hbox{#1}}",1],textit',1505,'mathord{\\\\class{','textit','}{\\\\hbox{#1}}}",1],','textbf',1505,1627,1630,1629,'TeX:["Macro","T\\\\kern-.1667em\\\\lower.5ex{E}\\\\kern-.125em X"],limits:["Limits",1],nolimits:["Limits",0],",":["Spacer",1/6],":":["Spacer",1/6],">":["Spacer",2/9],";":["Spacer",5/18],"!":["Spacer",-1/6],enspace:["Spacer",1/2],quad:["Spacer",1],qquad:["Spacer",2],thinspace:["Spacer",1/6],negthinspace:["Spacer",-1/6],hskip:"Hskip",kern:"Hskip",rule:["Rule","colored"],space:["Rule","blank"],big',':["MakeBig","','ord",0.85],Big',1636,'ord",1.15],bigg',1636,'ord",1.45],Bigg',1636,'ord",1.75],bigl',1636,'open",0.85],Bigl',1636,'open",1.','15],biggl',1636,1647,'45],Biggl',1636,1647,'75],bigr',1636,'close",0.85],Bigr',1636,'close",1.','15],biggr',1636,1658,'45],Biggr',1636,1658,'75],bigm',1636,'rel",0.85],Bigm',1636,'rel",1.15],biggm',1636,'rel",1.45],Biggm',1636,'rel",1.75],mathord',1446,'ord"],mathop',1446,'op"],mathopen',1446,'open"],mathclose',1446,'close"],mathbin',1446,'bin"],',1517,1446,'rel"],mathpunct',1446,'punct"],mathinner',1446,'inner"],','mathchoice',1380,1691,'"],buildrel:"BuildRel",hbox:"HBox",text:"HBox",mbox:"HBox",fbox',1380,'fbox"],strut:"Strut",mathstrut',1505,'vphantom{(}"],phantom:["Phantom",1,1],vphantom:["Phantom",1,0],hphantom:["Phantom",0,1],smash:"Smash",acute',':["MathAccent",[7,0,','19]],grave',1699,'18]],ddot',1699,'127]],tilde',1699,'126]],bar',1699,'22]],breve',1699,'21]],check',1699,'20]],hat',1699,'94]],vec',':["MathAccent",[0,','1,126]],dot',1699,'95]],widetilde',1715,'3,101]],widehat',1715,'3,98]],"_":["','Replace","ord','","_","normal",-0.4,0.1]," ":["',1723,'","&nbsp;","normal"],angle:["',1723,'","&#x2220;","normal"],matrix:"Matrix",array:"Matrix",pmatrix:["Matrix","(",")","c"],cases:["Matrix","\\\\{",".",["l","l"],null,2],eqalign',':["Matrix",null,null,["','r","l"],[5/18],3,"D"],displaylines',1729,'c"],null,3,"D"],cr:"HandleRow","\\\\":"HandleRow",newline:"HandleRow",noalign:"HandleNoAlign",eqalignno',1729,'r","l","r"],[5/8,3],3,"D"],','leqalignno',1729,1734,'begin:"Begin",end:"End",tiny',':["HandleSize",','0],Tiny',1739,'1],scriptsize',1739,'2],small',1739,'3],normalsize',1739,'4],large',1739,'5],La'],
  ['rge',':["HandleSize",','6],LARGE',1,'7],huge',1,'8],Huge',1,'9],dots:["','Macro','","\\\\ldots"],','newcommand',':["Extension","',11,'"],def',12,11,'"],color',12,'HTML"],','href',12,'HTML"],"class":["','Extension','","',19,'style',12,19,'cssId',12,19,'unicode',12,19,'bbox',12,35,'"],require:"','Require','","char":"Char"},','environments',':{array:"Array",','matrix',':["Array",null,null,"','c"],pmatrix:["Array","(",")","c"],bmatrix:["Array","[","]","c"],Bmatrix:["Array","\\\\{","\\\\}","c"],vmatrix:["Array","\\\\vert","\\\\vert","c"],Vmatrix:["Array","\\\\Vert","\\\\Vert","c"],cases:["Array","\\\\{",".","ll",null,2],eqnarray',44,'rcl",[5/18,5/18],3,"D"]},AddSpecial',':function','(obj){','for(var id in obj){','jsMath.Parser.prototype','.special[',51,'[id]]=obj[id];}},Error',48,'(s){','this.i','=this.','string.length;if(s','.error){','this.error','=s.error;}else{if(!this',60,61,'=s;}}},nextIsSpace',48,'(){','return ','this.string.charAt(this.i',')==" ";},trimSpaces',48,'(text){','if(typeof (','text)!="string"){',68,'text;}',68,'text','.replace(/^\\s+|\\s','+/g,"");},','Process',48,'(arg','){var ','data=','this.mlist.','data;','arg=','jsMath.','Parse(arg,','data.font',',','data.size',',data.style',');if(arg',60,'this.Error(','arg);','return null;}','if(arg.mlist.Length()==','0){',99,100,'1',84,'atom=','arg.mlist.','Last();if','(atom','.atom&&','atom.type=="ord"&&atom.nuc&&!atom.sub&&!atom.sup&&(','atom.nuc.type=="','text"||',112,'TeX")){',68,'atom.nuc;}}return {type:"mlist",mlist:arg.mlist};},','GetCommand',48,'(){var ','_2b5=/^([a-z]+|.) ?/i;var cmd=_2b5.exec(','this.string.slice(','this.i));','if(','cmd){','this.i+=','cmd[1].length;',68,'cmd[1];}','this.i++;','return " ";},','GetArgument',':function(name',',','_2b8){','while','(this.nextIsSpace()){this.i','++;}if(',57,'>=','this.string','.length){','if(!',135,'this.Error("','Missing',' argument for "+name);}',99,'if(',69,')==this.','close){if(!',135,145,'Extra close brace','");}',99,'if(',69,151,125,130,68,'this.cmd+','this.',118,'();}if(',69,')!=this.open','){return ',69,'++);}var j','=++this.i;var ','_2ba=1;var c="";',136,'(this.i<this.string.length){','c=',69,'++);','if(c==this.cmd){',57,'++;}else{if(c','==this.open){_2ba',182,'==this.close){if(_2ba==0){',145,155,'");',99,'if(--_2ba==0',170,122,'j,',57,'-1);}}}}}',145,'Missing close brace','");return',' null;},ProcessArg',133,'){var arg=this.',132,'(','name);','if(this.error){return',' null;}','return this.Process(arg);},','ProcessScriptArg',133,201,132,'(',204,205,206,'if(arg.charAt(0',151,'cmd',84,'_2c0=arg.substr(1);if(_2c0=="frac"){arg+="{"+this.',132,'(_2c0)+"}";',205,206,'arg+="{"+this.',132,'(_2c0)+"}";',205,' null;}}else{if(_2c0','=="sqrt"){arg+="["+this.','GetBrackets','(_2c0)+"]";',205,206,'arg+="{"+this.',132,'(_2c0)+"}";',205,229,'.match(this.scriptargs)){arg+="{"+this.',132,'(_2c0)+"}";',205,' null;}}}}}',207,'GetDelimiter',133,'){',136,137,'++;}var c=',69,');if',176,130,180,'c="\\\\"+this.',118,'(',204,205,' null;}}','if(','this.delimiter[','c]!=null',170,264,'c];}}',145,146,' or unrecognized delimiter for "+','name);return null;},','GetDimen',133,',nomu',84,'rest;var _2c6=0;if',137,'++;}if(',69,')=="{"){rest',58,132,'(name);}else{rest=',122,57,');_2c6=1;}',68,'this.','ParseDimen','(rest,name,_2c6,nomu);},',290,48,'(_2c7,name,_2c9,nomu',84,'_2cb=_2c7.match(/^\\s*([-+]?(\\.\\d+|\\d+(\\.\\d*)?))(pt|em|ex|mu|px)/);if(!_2cb){',145,146,' dimension or its units for "+',204,99,'if(_2c9){',126,'_2cb[0].length;if',137,'++;}}var d=_2cb[1]-0;if(_2cb[4]=="px"){d/=',89,'em',';}else{if(_2cb[4]=="','pt"){d/=10',309,'ex"){d*=','jsMath.TeX.','x_height',309,'mu"){if(nomu){d=d/18;}else{d=[d,"mu"];}}}}}',68,'d;},GetNext',48,'(){',136,137,'++;}',68,69,');},',231,133,84,'c',58,'GetNext();if(c','!="["){return "";}var _2cf',173,'_2d0=0;',136,176,'var c=',69,'++);if(c=="{"){','_2d0',182,'=="}"){if(','_2d0==0){',145,155,' while looking for',' \']\'");',99,'_2d0--;}else{',180,57,182,'=="]"){if(_2d0==0',170,122,'_2cf,',57,'-1);}}}}}}',145,'Couldn\'t find',' closing \']\' for argument to "+',164,272,'GetUpto',133,',_2d3){',136,137,'++;}var _2d4',58,'i;var _2d5=0;',136,176,'var c=',69,340,'_2d5',182,343,'_2d5==0){',145,155,347,' "+',164,'_2d3);',99,'_2d5--;}else{',180,'if(',122,'this.i,this.i+','5)=="begin"){_2d5++;',126,'4;}else{if(',122,393,'3)=="end"){if(_2d5>0){_2d5--;',126,'2;}}}if(',381,'if(',122,393,'_2d3.length',')==_2d3){c=',69,'+',406,');if(c.match(/[^a-z]/i)||!_2d3.match(/[a-z]/i)){var arg=',122,'_2d4,',57,'-1);',126,406,';',68,'arg;}}}',57,'++;}}}}',145,361,' "+',164,'_2d3+" for "+',272,'ProcessUpto',133,',_2d9',201,365,'(name,_2d9);',205,206,207,'GetEnd',48,'(env',84,'body="";var name="";',136,'(name!=env){body+=this.',365,'("begin{"+env+"}","end");',205,206,'name',58,132,'(this.cmd+"','end");',205,262,68,'body;},Space',48,'(){},','Prime',48,'(c',84,'base=',86,108,'(base==null||(!base',110,'base.type!="','box"&&',469,'frac")){',464,'this.mlist.Add(jsMath.mItem.','Atom("ord",{type:null}));}','if(base.sup){',145,'Prime causes double exponent',': use braces to clarify");return',';}var ','sup="";',136,'(c=="\'"){sup+=this.cmd+"prime";c',58,332,'=="\'"){',57,'++;}}base.sup',58,81,'(sup);','base.sup.isPrime','=1;},RaiseLower',133,84,'h','=this.GetDimen(this.cmd+name',',1);',205,480,'box',58,208,'(this.cmd+name);if(this.error){return',';}if(name=="','lower"){h=-h;}',86,'Add(new jsMath.mItem("','raise",{nuc:box,raise:h}));},MoveLeftRight',133,84,'x',497,498,205,480,'box','=this.ProcessArg',504,505,'moveleft"){x=-x;}',474,'Space(x));',474,'Atom("ord",box));',474,'Space(-x));},',39,133,84,'file',58,132,504,';}file=',89,23,'.URL(file);if(','jsMath.Setup.','loaded[file',']){','return;}','this.',23,'(null,[','file]);},',23,133,',data){','jsMath.Translate','.restart=1;if(name','!=null){','delete ',51,'[data[1]||"macros"][name];}',89,23,'.',39,'(data[0],',550,'.asynchronous',');throw "restart";},Frac',133,84,'num',518,504,480,'den',518,504,';}',474,'Fraction("over",num,den));},Sqrt',133,84,'n',58,231,504,480,'arg',518,504,';}var box=jsMath.mItem.Atom("radical",arg);','if(n!=""){box.root',58,81,'(n);',205,';}}',86,'Add(box);},','Root',133,84,'n',58,429,'(',164,'name,"of");',205,480,'arg',518,504,586,'box.root=n;',86,594,'BuildRel',133,84,'top',58,429,'(',164,'name,"over");',205,480,'bot',518,504,480,'op=',89,'mItem.Atom("','op",bot);op.limits=1;op.sup=top;',86,'Add(op);},MakeBig',133,',data){var ','type=data[0];var h=data[1]*',89,'p_height;var _2fe',58,246,504,';}',474,'Atom(type,',89,'Box.Delimiter(h,_2fe,"T")));},Char',133,84,'font',58,132,504,480,'n',58,132,504,';}if(!','jsMath.TeX[font',']){',659,']=[];this.',23,545,'jsMath.Font.URL(font',')]);}else{',474,'Typeset(',89,'Box.TeX(n-0,font,"T",',86,93,')));}},Matrix',133,',_303',84,'data=',86,87,'var arg',58,132,504,480,'_306','=new jsMath.Parser(arg+this.cmd+"\\\\",null,data.size,','_303[5]||"T");_306.',43,'=name;_306.row=[];_306.table=[];_306.rspacing=[];_306.Parse();if(_306',60,97,'_306);',542,'_306','.HandleRow(name,1);var box=jsMath.Box.Layout(data.size,','_306.table,_303[2]||null,_303[3]||null,_306.rspacing,_303[4]||null);if(_303[0]&&_303[1]){var left','=jsMath.Box.Delimiter(box.h+box.d-jsMath.hd/4,this.delimiter[','_303[0]],"T");var _309',697,'_303','[1]],"T");box=jsMath.Box.SetList([left,box,','_309],','data.style,data.size',');}',474,'Atom((_303','[0]?"inner":"ord"),box));},','HandleEntry',133,'){','if(!this.',43,'){',97,'name+" can only appear in a matrix or array");return;}if(',86,'data.openI',552,'var open=',86,'Get(',86,717,');if(open','.left){',145,146,' "+this.cmd+"right','");}else{',145,197,'");}}if(',86,'data.overI',552,86,'Over();}var data=',86,87,86,'Atomize(',703,');var box=',86,668,703,');this.row[','this.row.length',']=box;this.mlist=new ',89,'mList(null,null,',93,94,');},HandleRow',133,',last',84,'_310;',711,43,'){',97,164,715,'name=="\\\\"){_310',58,231,504,';}if(_310){','_310',58,290,'(_310,',164,'name,0,1);}}this.',708,'(',204,'if(!last||',748,'>1||this.row[0].format!="null"){this.table[this.table','.length]=this.','row',769,'this.rspacing[this.table.length',']=_310;}this.row=[];},HandleNoAlign',133,201,132,504,480,'skip=arg.replace(/^.*(vskip|vspace)([^a-z])/i,"$2");if(skip.length==arg',142,'return',480,'d',58,290,'(skip,',164,'RegExp.$1,0',498,205,';}',785,']=(',785,']||0)+d;},Array',133,',_316',84,'_317=_316[2];var _318=_316[3];if(!_317){_317',58,132,452,'begin{"+name+"}");',205,';}}_317=_317.replace(/[^clr]/g,"");_317=_317.split("");var data=',86,87,'var _31a=_316[5]||"T";var arg',58,438,'(',204,205,480,'_31c',686,'_31a);_31c.',43,'=name;_31c.row=[];_31c.table=[];_31c.rspacing=[];_31c.Parse();if(_31c',60,97,'_31c);',542,'_31c',695,'_31c.table,_317,_318,_31c.rspacing,_316[4]);if(_316[0]&&_316[1]){var left',697,'_316[0]],"T");var _31f',697,'_316',701,'_31f],',703,');}',474,'Atom((_316',707,'Begin',133,84,'env',58,132,504,';}if(env.match(/[^a-z*]/i)){',145,'Invalid',' environment',' name',' \\""+env+"\\"");return;}',711,41,'[env]){',145,'Unknown',861,863,'var cmd',58,41,'[env];',73,'cmd',')=="string"){','cmd=[cmd];}this[cmd[0]](env,cmd.slice(1));},End',133,84,'env',58,132,504,';}',97,164,'name+"{"+env+"} without matching "+this.cmd+"begin");},Spacer',133,',w){',474,'Space(w-0));},Hskip',133,84,'w',58,273,504,';}',474,'Space(w));},HBox',133,'){var text=this.',132,504,';}','var box=jsMath.','Box.InternalMath(text,',86,93,');',474,668,'box));},Rule',133,',_32d',84,'w',497,498,205,480,'h',497,498,205,480,'d',497,498,205,';}h+=d;var html;if(h!=0){h=Math.max(1.05/',89,'em,h);}if(h==0||w==0||_32d=="blank"){html=','jsMath.HTML.','Blank(w,h);}else{html=',935,'Rule(w,h);}if(d){html','="<span style=\\"','vertical-align:"+',935,'Em(-d)+"\\">"+','html+"</span','>";}',474,668,'new ',89,'Box("html",html,w,h-d,d)));},Strut',48,120,'size=',86,93,';',907,'Box.Text("","normal","T",size).Styled();box.bh=box.bd=0;box.h=0.8;box.d=0.3;box.w=0;',474,668,'box));},Phantom',133,635,'arg',518,504,';}',86,508,'phantom",{phantom:arg,v:data[0],h:data[1]}));},Smash',133,635,'arg',518,504,';}',86,508,'smash",{smash:arg}));},MathAccent',133,',_33b',84,'c',518,504,480,106,89,630,'accent",c);atom.accent=_33b[0];',86,'Add(atom);},NamedOp',133,635,'a=(name.match(/[^acegm-su-z]/))?1:0;var d=(name.match(/[gjpqy]/))?0.2:0;if(data[1]){name=data[1];}',907,'mItem.TextAtom("op",name,"cmr10",a,d);if(data[0]!=null){box.limits=data[0];}',86,594,'Limits',133,635,106,86,108,'(!atom||atom.type!="op"){',97,164,'name+" is allowed only on operators',198,';}atom.limits=data[0];},',9,133,635,'text=data[0];if(data[1]){var args=[];','for(var i=0;i<','data[1];i++){args[args',782,132,504,';}}text',58,'SubstituteArgs','(args,text);}',141,58,'AddArgs(','text,',122,123,57,'=0;},',1022,48,'(args,_34c',84,'text="";var _34e="";var c;var i','=0;while(i<','_34c',142,'c=','_34c.charAt(i','++);',180,'text+=c+',1041,'++);}else{if(c=="#"){c=',1041,'++);if(','c=="#"){text+=c;}else{if(!c.match(/[1-9]/)||c>args',142,145,'Illegal macro parameter reference");',99,'_34e',58,1026,'this.AddArgs(_34e,text','),args[c-1]);text="";}}else{text+=c;}}}',68,1057,');},AddArgs',48,'(s1,s2){if(s2.match(/^[a-z]/i)&&s1.match(/(^|[^\\\\])(\\\\\\\\)*\\\\[a-z]+$/i)){s1+=" ";}',68,'s1+s2;},Replace',133,549,474,'TextAtom',560,'data[1],data[2],data[3]));},Tilde',133,'){',474,'TextAtom("ord','","&nbsp;","normal"));},HandleLap',133,84,'box',518,'();',205,';}box=',86,508,'lap",{nuc:box,lap:name}));},HandleAtom',133,635,'arg',518,504,';}',474,'Atom(data,arg));},HandleMathCode',133,',code','){this.HandleTeXchar(','code[0],code[1],code[2]);},HandleTeXchar',48,'(type,font,code){if(type==7&&',86,91,552,'font=',86,91,';}font=',313,'fam[font];if(!',659,']){',659,']=[];this.',23,545,665,')]);}else{',474,'TeXAtom(',313,'atom[type],code,font));}},','HandleVariable',48,'(c',1097,'7,1',',c.charCodeAt(0));},','HandleNumber',48,'(c',1097,'7,0',1127,'HandleOther',48,'(c){',474,1075,'",c,"normal"));},HandleComment',48,120,'c;',136,176,'c=',69,1048,'c=="\\r"||c=="\\n"){return;}}},HandleStyle',133,',_365){',86,'data.style=_365[0];',86,508,'style",{style:_365[0]}));},HandleSize',133,',size){',86,93,'=size[0];',86,508,'size",{size:size[0]}));},HandleFont',133,',font){',86,91,'=font[0];},HandleCS',48,120,'cmd',58,118,'();',205,';}if(this.macros[cmd]){var _36b',58,'macros[cmd];',73,'_36b',877,'_36b=[_36b];}this[_36b[0]](cmd,_36b.slice(1));',542,'if(','this.mathchardef[cmd',']){this.HandleMathCode(','cmd,',1185,']);',542,'if(',264,164,'cmd',1186,'cmd,',264,164,'cmd].slice(0,3));',542,145,'Unknown control sequence \'"+',164,'cmd+"\'");},HandleOpen',48,'(){',86,'Open();},HandleClose',48,'(){if(',86,717,'==null){',145,155,198,480,'open=',86,'Get(',86,717,');if(!open||','open.left',1213,86,'Close();}else{',145,155,' or missing',728,198,';}},HandleLeft',133,84,'left',58,246,504,';}',86,'Open(left);},HandleRight',133,84,'_370',58,246,504,480,'open=',86,'Get(',86,717,724,'&&',1224,552,86,'Close(_370);}else{',145,'Extra open brace or missing "+this.cmd+"left");}},HandleOver',133,549,'if(',86,734,552,145,'Ambiguous use of "+',164,204,542,86,734,'=',86,'Length();',86,'data.overF={name:name};if(data.length>0){',86,'data.overF.','left=',264,'data[0]];',86,1282,'right=',264,'data[1]];}else{if(name.match(/withdelims$/)){',86,1282,'left',58,246,504,';}',86,1282,'right',58,246,504,';}}else{',86,1282,'left=null;',86,1282,1288,'null;}}if(name.match(/^above/)){',86,1282,'thickness',497,498,205,1304,86,1282,'thickness=null;}},HandleSuperscript',48,120,464,86,108,'(base==null||(!base',110,469,'box"&&',469,'frac")){',464,474,475,476,'if(',492,'){',464,474,475,'else{',145,'Double exponent',479,';}}base.sup',58,208,'("superscript");',205,';}},HandleSubscript',48,120,464,86,108,'(base==null||(!base',110,469,'box"&&',469,'frac")){',464,474,475,'if(base.sub){',145,'Double subscripts',479,';}base.sub',58,208,'("subscript");',205,';}},Parse',48,120,'c;',136,176,'c=',69,1048,'this.mathchar[c',1186,'c,',1385,']);}else{if(this',52,'c]){this[this',52,'c]](c',');}else{if(','this.letter','.test(c)){this.',1122,'(c',1394,'this.number',1396,1128,'(c);}else{this.',1134,'(c);}}}}}if(',86,717,552,'var open=',86,'Get(',86,717,724,'.left){',145,146,728,729,145,197,'");}}if(',86,734,552,86,'Over();}},Atomize',48,120,'data=',86,'init;if(!this',60,86,741,703,');}},Typeset',48,120,'data=',86,'init;var box',58,'typeset=',86,668,703,');',205,' "<span class=\\"error\\">"+',61,'+"</span>";}if(box.format=="null"){return "";}box.Styled().Remeasured();var _37b=0;var _37c','=0;if(box.bh>','box.h&&box.bh>',89,'h','+0.001){_37b=1;}if(box.','bd>box.d&&box.bd>',89,'d',1457,'h>',89,'h||box.d>',89,'d){_37c=1',480,'html=box.html;if(_37b){if(','jsMath.Browser.','allowAbsolute',84,'y',1453,89,'h+0.001){y=',89,'h-box.bh;}html=',935,'Absolute(html,box.w,',89,'h,0,y,',89,'h',1394,1469,'valignBug){','html="<span style=\\"line-height:"+jsMath.HTML.Em(jsMath.d',')+";\\">"+',943,'>";}else{var dy=',935,'Em(Math.max(0,box.bd-',89,'hd)/3);',1487,')+";"+" position:relative; top:"+dy+"; ',940,'dy+"\\">"+',943,'>";}}_37c=1;}if(_37c){html+=',935,'Blank(0,box.h+0.05,box.d+0.05);}return "<nobr><span class=\\"scale\\">"+',943,'></nobr>";}});',51,'.AddSpecial({cmd:"HandleCS",open:"HandleOpen",close:"HandleClose"});','jsMath.Add(jsMath,{',9,133,84,'_381=',51,'.macros;','_381','[name]=["',9,'"];for(var i=1;i<arguments.length;i++){_381[name][_381[name].length]=arguments[i];}}});',89,23,'={safeRequire:1,',9,133,',file',84,'_385=',51,1513,'if(file',1213,'file=name;}_385',1515,23,'",file];},LaTeX',48,'(env,file',84,'_388=',51,'.',41,';_388[env]=["',23,'",file,"',41,'"];},Font',133,1165,'if(font',1213,'font=name+"10";}var _38b=',51,1513,'_38b',1515,23,'",',665,')];},MathChar',48,'(font,defs',84,'fam=',313,'famName[font','];if(fam',1213,1562,313,'fam.length;',313,'fam[fam]=font;',313,1564,']=fam',480,'_38f=',51,'.mathchardef;for(var c in defs){_38f[c]=[defs[c][0],fam,defs[c][1]];}},',39,48,'(file,show){if(this.safeRequire&&(file.match(/\\.\\.\\/|[^-a-z0-9.\\/:_+=%~]/i)||(file.match(/:/)&&file.substr(0,',89,'root.length)!=',89,'root))){',539,540,']=1;',542,539,'Script(this.URL(file),show);},URL',48,'(file){file=file',79,'+$/g,"");if(!file.match(/^([a-z]+:|\\/|fonts|extensions\\/)/i)){file="extensions/"+file;}if(!file.match(/\\.js$/)){file+=".js";}',68,'file;}};',1507,81,48,49,539,'Body();','jsMath.Script.','Push(',550,',"','Asynchronous','",obj);},ProcessBeforeShowing',48,49,539,1603,'var _396=(','jsMath.Controls.cookie.','asynch?"',1608,'":"','Synchronous','");',1604,1605,550,',_396,obj);}});',550,'={element:[],cancel:0,Parse',48,'(_397,s,_399',84,'_39a=',89,'Global.','cache[_397];if(!','_39a[jsMath.em',']){',1634,']={};}var HTML=',1634,'][s];if(!HTML||_399',84,'_39c=',89,'Parse(s,null,null,_397);_39c.Atomize();HTML=_39c.Typeset();if(!_399){',1634,'][s]=HTML;}}',68,'HTML;},TextMode',48,'(s,_39e){this.Parse("T",s,_39e);},DisplayMode',48,'(s,_3a0){this.Parse("D",s,_3a0);},','GetElementText',48,'(_3a1',903,'recursiveElementText','(_3a1);_3a1.alt=text;if(text.search("&")>=0){','text=text.replace(/&','lt;/g,"<");',1658,'gt;/g,">");',1658,'quot;/g,"\\"");',1658,'amp;/g,"&");}',68,'text;},',1656,48,'(_3a3){if(','_3a3.nodeValue','!=null',170,1671,';}if(','_3a3.childNodes.length','==0){return " ";}var text="";',1015,1676,';i++){text+=this.',1656,'(_3a3.childNodes[i]);}',68,1667,'ResetHidden',48,'(_3a6){_3a6.innerHTML',939,'visibility:hidden; position:absolute; top:0px;left:0px; text-indent:0px\\"></span>"+',1469,'operaHiddenFix;_3a6.className="";',89,'hidden=_3a6.firstChild;if(!',89,'BBoxFor("x").w){','jsMath.hidden=jsMath.hiddenTop',';}',89,'ReInit();},','ConvertText',48,'(_3a7,_3a8',903,1652,'(_3a7',');this.ResetHidden(','_3a7',');if(text.match(/^\\s*\\\\nocache([^a-zA-Z])/)){','_3a8','=true;text=text.replace(/\\s*\\\\nocache/,"");}text=this.Parse("','T",text,_3a8);_3a7','.className="typeset";','_3a7','.innerHTML=text;},','ConvertDisplay',48,'(_3aa,_3ab',903,1652,'(_3aa',1706,'_3aa',1708,'_3ab',1710,'D",text,_3ab);_3aa',1712,'_3aa',1714,'ProcessElement',48,'(_3ad){','this.restart','=0;var _3ae=(','_3ad.className','.toLowerCase().match(/(^| )nocache( |$)/)!=null);try','{if(_3ad.tagName.toLowerCase()=="','div"){this.',1715,'(_3ad,_3ae);_3ad.onclick=jsMath.Click.CheckClick;_3ad.ondblclick=jsMath.Click.CheckDblClick',';}else',1737,'span"){this.',1700,1740,';}}}catch(err){if(_3ad.alt',84,'tex=_3ad.alt;','tex=tex.replace','(/&/g,"&amp;");',1749,'(/</g,"&lt;");',1749,'(/>/g,"&gt;");_3ad.innerHTML=tex;',1735,'="math";if(_3ae){',1735,'+=" nocache";}}',1696,';}},','ProcessElements',48,'(k){',1604,'blocking=','1;if(k>=','this.element.length','||','this.cancel','){this.','ProcessComplete','();if(',1769,'){','jsMath.Message.','Set("',81,' Math: Canceled");',1775,'Clear();}',1604,1765,'0;',1604,81,'();}else{','this.ProcessElement(this.element[','k]);if(',1733,'){',1604,1605,'this,"',1761,'",k);',1604,1765,'0;setTimeout("',1604,81,'()",',1469,'delay);}else{k++;var p=Math.floor(100*k/',1767,');','jsMath.Message.Set("Processing Math',': "+p+"%");setTimeout("',550,'.',1761,'("+k+")",',1469,'delay);}}},',1608,48,'(obj','){if(!jsMath.initialized){jsMath.Init();}this.element=this.GetMathElements(obj);',1769,'=0;this',562,'=1;',1604,1765,'1;',1806,': 0%",1);setTimeout("',550,'.',1761,'(0)",',1469,'delay);},',1619,48,'(obj,i){if(i==null',1817,'i=0;}this',562,1037,1767,'){',1787,'i]);if(',1733,'){',89,'Synchronize','("',550,'.',1619,'(null,"+i+")");',1604,81,'();',542,'i++;}this.',1771,'(1);},GetMathElements',48,49,'var _3b6=[];if(!obj){obj=','jsMath.document',';}',73,'obj',877,'obj=',1863,'.getElementById(obj);}if(!','obj.getElementsByTagName','){',99,'var math=',1871,'("div','");for(var k=0;k<math.length;k++){if(math[k].className&&math[k].className.match(/(^| )math( |$)/)){if(jsMath.Browser.renameOK&&obj.getElementsByName){math[k].setAttribute("name","_jsMath_");}else{_3b6[_3b6.length]=math[k];}}}','math=',1871,'("span',1877,'if(',1469,'renameOK','&&obj','.getElementsByName','){_3b6=obj',1886,'("_jsMath_',729,'if(',89,'hidden','.sourceIndex','){_3b6.sort(function(a,b',170,'a',1894,'-b',1894,';});}}',68,'_3b6;},',1771,48,'(_3bc){if(',1469,1884,84,'_3bd=',1863,1886,1889,'");for(var i=_3bd.length-1;i>=0;i--){_3bd[i].removeAttribute("name");}}',1696,';this.element=[];if(!_3bc){',1806,': Done");',1775,'Clear();}',1775,'UnBlank();if(',1469,'safariImgBug&&(',1615,'font=="symbol"||',1615,'font=="image")){if(','this.timeout','){clearTimeout(',1929,');}',1929,'=setTimeout("','jsMath.window.resizeBy','(-1,0); "+"',1935,'(1,0); "+"',550,'.timeout = null",2000);}},Cancel',48,'(){',550,'.cancel=1;if(',1604,'cancelTimer){',1604,'cancelLoad();}}};',1507,'ConvertTeX',48,'(_3bf){',1604,'Push(jsMath.tex2math,"',1950,'",_3bf);},','ConvertTeX2',48,'(_3c0){',1604,1954,1957,'",_3c0);},','ConvertLaTeX',48,'(_3c1){',1604,1954,1964,'",_3c1);},','ConvertCustom',48,'(_3c2){',1604,1954,1971,'",_3c2);},','CustomSearch',48,'(om,cm,od,cd','){',1604,1605,'null,function(){',89,'tex2math.',1978,1980,');});},tex2math:{',1950,48,459,1957,48,459,1964,48,459,1971,48,459,1978,48,'(){}}});',89,1847,'=',1604,1847,';try{if(','window.parent','!=window&&window.jsMathAutoload){',2011,'.jsMath=jsMath;',1863,'=',2011,'.document;',89,'window=',2011,';}}catch(err){}',89,1632,'Register();',89,'Loaded();',89,'Controls.GetCookie();',539,'Source();',89,1632,'Init();',1604,'Init();',539,'Fonts();if(',1863,'.body){jsMath.Setup.Body();}}}']
]);
//end = new Date().getTime();
//alert(end-start);
